# Hybrid Profile Definition - Azure Stack 1807 and Azure Cloud

> see https://aka.ms/autorest

Profile definition targeted for hybrid applications that could run on azure stack general availability version and azure cloud for 1903.

```yaml
profiles:
  hybrid-2019-03-01:
    resources:
      microsoft.authorization:
        '2016-09-01':
          - locks
        '2016-12-01':
          - policyDefinitions
          - policyAssignments
        '2015-07-01':
          - operations
          - permissions
          - roleAssignments
          - roleDefinitions
          - providerOperations
      microsoft.compute:
        '2017-12-01':
          - availabilitySets
          - images
          - locations
          - locations/publishers
          - locations/operations
          - locations/usages
          - locations/vmSizes
          - operations
          - virtualMachines
          - virtualMachines/extensions
          - virtualMachineScaleSets
          - virtualMachineScaleSets/extensions
          - virtualmachineScaleSets/networkInterfaces
          - virtualMachineScaleSets/virtualMachines
          - virtualMachineScaleSets/virtualMachines/networkInterfaces
        '2017-03-30':
          - disks
          - locations/diskoperations
          - snapshots
      microsoft.eventhub:
        2018-01-01-preview:
          - namespaces
          - checkNameAvailability
          - sku
          - operations
        '2015-08-01':
          - checkNamespaceAvailability
      microsoft.insights:
        '2018-01-01':
          - metricDefinitions
          - metrics
        2017-05-01-preview:
          - diagnosticSettings
          - diagnosticSettingCategories
        '2015-04-01':
          - eventTypes
          - eventCategories
          - operations
      microsoft.keyvault:
        '2016-10-01':
          - operations
          - vaults
          - vaults/accessPolicies
          - vaults/secrets
      microsoft.network:
        '2017-10-01':
          - connections
          - loadBalancers
          - localNetworkGateways
          - locations
          - locations/operationResults
          - locations/operations
          - locations/usages
          - networkInterfaces
          - networkSecurityGroups
          - operations
          - publicIpAddresses
          - routeTables
          - virtualNetworkGateways
          - virtualNetworks
        '2016-04-01':
          - dnsZones
      microsoft.resources:
        '2018-05-01':
          - deployments
          - deployments/operations
          - links
          - locations
          - operations
          - providers
          - resourceGroups
          - resources
          - subscriptions
          - subscriptions/locations
          - subscriptions/operationresults
          - subscriptions/providers
          - subscriptions/resourceGroups
          - subscriptions/resourceGroups/resources
          - subscriptions/resources
          - subscriptions/tagNames
          - subscriptions/tagNames/tagValues
          - tenants
      microsoft.storage:
        '2017-10-01':
          - checkNameAvailability
          - locations
          - locations/quotas
          - operations
          - storageAccounts
          - storageAccounts/blobServices
          - storageAccounts/queueServices
          - storageAccounts/tableServices
          - usages
      microsoft.web:
        '2018-02-01':
          - certificates
          - operations
          - checknameavailability
          - sites
          - sites/domainOwnershipIdentifiers
          - sites/extensions
          - sites/hostNameBindings
          - sites/instances
          - sites/instances/extensions
          - sites/slots
          - sites/slots/hostNameBindings
          - sites/slots/instances
          - sites/slots/instances/extensions
          - serverFarms
        '2016-09-01':
          - serverFarms/metricDefinitions
          - serverFarms/metrics
          - serverFarms/usages
        '2016-08-01':
          - metadata
          - sites/metricDefinitions
          - sites/metrics
          - sites/recommendations
          - sites/slots/extensions
          - sites/slots/metricDefinitions
          - sites/slots/metrics
        '2016-03-01':
          - availableStacks
          - deploymentLocations
          - georegions
          - ishostnameavailable
          - isusernameavailable
          - listSitesAssignedToHostName
          - publishingUsers
          - recommendations
          - runtimes
          - sourceControls
          - validate
    operations: {}
```
