# Latest Azure Profile

> see https://aka.ms/autorest

``` yaml 
profiles:
  latest-2019-04-01:
    resources:
      microsoft.network:
        '2019-04-01':
          - checkFrontDoorNameAvailability
          - frontDoors
          - frontDoors/backendPools
          - frontDoors/frontendEndpoints
          - frontDoors/frontendEndpoints/disableHttps
          - frontDoors/frontendEndpoints/enableHttps
          - frontDoors/healthProbeSettings
          - frontDoors/loadBalancingSettings
          - frontDoors/purge
          - frontDoors/routingRules
          - frontDoors/validateCustomDomain
        '2019-03-01':
          - FrontDoorWebApplicationFirewallManagedRuleSets
          - FrontDoorWebApplicationFirewallPolicies
        '2018-12-01':
          - ApplicationGatewayWebApplicationFirewallPolicies
          - ExpressRoutePorts
          - ExpressRoutePorts/links
          - ExpressRoutePortsLocations
          - applicationGatewayAvailableRequestHeaders
          - applicationGatewayAvailableResponseHeaders
          - applicationGatewayAvailableServerVariables
          - applicationGatewayAvailableSslOptions
          - applicationGatewayAvailableSslOptions/predefinedPolicies
          - applicationGatewayAvailableWafRuleSets
          - applicationGateways
          - applicationGateways/backendhealth
          - applicationGateways/start
          - applicationGateways/stop
          - applicationSecurityGroups
          - azureFirewallFqdnTags
          - azureFirewalls
          - bgpServiceCommunities
          - connections
          - connections/sharedkey
          - connections/vpndeviceconfigurationscript
          - ddosCustomPolicies
          - ddosProtectionPlans
          - expressRouteCircuits
          - expressRouteCircuits/authorizations
          - expressRouteCircuits/peerings
          - expressRouteCircuits/peerings/arpTables
          - expressRouteCircuits/peerings/connections
          - expressRouteCircuits/peerings/peerConnections
          - expressRouteCircuits/peerings/routeTables
          - expressRouteCircuits/peerings/routeTablesSummary
          - expressRouteCircuits/peerings/stats
          - expressRouteCircuits/stats
          - expressRouteCrossConnections
          - expressRouteCrossConnections/peerings
          - expressRouteCrossConnections/peerings/arpTables
          - expressRouteCrossConnections/peerings/routeTables
          - expressRouteCrossConnections/peerings/routeTablesSummary
          - expressRouteGateways
          - expressRouteGateways/expressRouteConnections
          - expressRouteServiceProviders
          - interfaceEndpoints
          - loadBalancers
          - loadBalancers/backendAddressPools
          - loadBalancers/frontendIPConfigurations
          - loadBalancers/inboundNatRules
          - loadBalancers/loadBalancingRules
          - loadBalancers/networkInterfaces
          - loadBalancers/outboundRules
          - loadBalancers/probes
          - localNetworkGateways
          - locations/CheckDnsNameAvailability
          - locations/availableDelegations
          - locations/usages
          - locations/virtualNetworkAvailableEndpointServices
          - networkInterfaces
          - networkInterfaces/effectiveNetworkSecurityGroups
          - networkInterfaces/effectiveRouteTable
          - networkInterfaces/ipConfigurations
          - networkInterfaces/loadBalancers
          - networkInterfaces/tapConfigurations
          - networkProfiles
          - networkSecurityGroups
          - networkSecurityGroups/defaultSecurityRules
          - networkSecurityGroups/securityRules
          - networkWatchers
          - networkWatchers/availableProvidersList
          - networkWatchers/azureReachabilityReport
          - networkWatchers/configureFlowLog
          - networkWatchers/connectionMonitors
          - networkWatchers/connectionMonitors/query
          - networkWatchers/connectionMonitors/start
          - networkWatchers/connectionMonitors/stop
          - networkWatchers/connectivityCheck
          - networkWatchers/ipFlowVerify
          - networkWatchers/networkConfigurationDiagnostic
          - networkWatchers/nextHop
          - networkWatchers/packetCaptures
          - networkWatchers/packetCaptures/queryStatus
          - networkWatchers/packetCaptures/stop
          - networkWatchers/queryFlowLogStatus
          - networkWatchers/queryTroubleshootResult
          - networkWatchers/securityGroupView
          - networkWatchers/topology
          - networkWatchers/troubleshoot
          - operations
          - p2svpnGateways
          - p2svpnGateways/generatevpnprofile
          - publicIPAddresses
          - publicIPPrefixes
          - routeFilters
          - routeFilters/routeFilterRules
          - routeTables
          - routeTables/routes
          - serviceEndpointPolicies
          - serviceEndpointPolicies/serviceEndpointPolicyDefinitions
          - virtualHubs
          - virtualHubs/hubVirtualNetworkConnections
          - virtualNetworkGateways
          - virtualNetworkGateways/connections
          - virtualNetworkGateways/generatevpnclientpackage
          - virtualNetworkGateways/generatevpnprofile
          - virtualNetworkGateways/getAdvertisedRoutes
          - virtualNetworkGateways/getBgpPeerStatus
          - virtualNetworkGateways/getLearnedRoutes
          - virtualNetworkGateways/getvpnclientipsecparameters
          - virtualNetworkGateways/getvpnprofilepackageurl
          - virtualNetworkGateways/reset
          - virtualNetworkGateways/resetvpnclientsharedkey
          - virtualNetworkGateways/setvpnclientipsecparameters
          - virtualNetworkGateways/supportedvpndevices
          - virtualNetworkTaps
          - virtualNetworks
          - virtualNetworks/CheckIPAddressAvailability
          - virtualNetworks/subnets
          - virtualNetworks/subnets/PrepareNetworkPolicies
          - virtualNetworks/usages
          - virtualNetworks/virtualNetworkPeerings
          - virtualWans
          - virtualWans/p2sVpnServerConfigurations
          - virtualWans/supportedSecurityProviders
          - virtualWans/vpnConfiguration
          - vpnGateways
          - vpnGateways/vpnConnections
          - vpnSites
        '2018-09-01':
          - privateDnsZones
          - privateDnsZones/ALL
          - privateDnsZones/virtualNetworkLinks
        '2018-05-01':
          - dnsZones/all
          - dnsZones/recordsets
          - dnszones
          - getDnsResourceReference
        '2018-04-01':
          - checkTrafficManagerNameAvailability
          - trafficManagerGeographicHierarchies
          - trafficManagerUserMetricsKeys
          - trafficmanagerprofiles
          - trafficmanagerprofiles/heatMaps
        '2015-06-15':
          - expressRouteCircuits/arpTable
          - expressRouteCircuits/routesTable
      microsoft.resourcegraph:
        '2019-04-01':
          - operations
          - resources
      microsoft.costmanagement:
        2019-03-01-preview:
          - Forecast
          - Query
          - cloudConnectors
          - dimensions
          - externalBillingAccounts
          - externalBillingAccounts/externalSubscriptions
          - externalSubscriptions
          - operations
          - showbackRules
        '2019-01-01':
          - exports
          - exports/run
          - exports/runHistory
        2018-08-01-preview:
          - alerts
          - alerts/UpdateStatus
          - connectors
          - reports
          - reports/run
          - reports/runHistory
        '2018-05-31':
          - reportconfigs
      microsoft.peering:
        2019-03-01-preview:
          - legacyPeerings
          - operations
          - peerAsns
          - peeringLocations
          - peerings
      microsoft.databoxedge:
        '2019-03-01':
          - dataBoxEdgeDevices
          - dataBoxEdgeDevices/alerts
          - dataBoxEdgeDevices/bandwidthSchedules
          - dataBoxEdgeDevices/downloadUpdates
          - dataBoxEdgeDevices/getExtendedInformation
          - dataBoxEdgeDevices/installUpdates
          - dataBoxEdgeDevices/jobs
          - dataBoxEdgeDevices/networkSettings
          - dataBoxEdgeDevices/operationsStatus
          - dataBoxEdgeDevices/orders
          - dataBoxEdgeDevices/roles
          - dataBoxEdgeDevices/scanForUpdates
          - dataBoxEdgeDevices/securitySettings/update
          - dataBoxEdgeDevices/shares
          - dataBoxEdgeDevices/shares/refresh
          - dataBoxEdgeDevices/storageAccountCredentials
          - dataBoxEdgeDevices/triggers
          - dataBoxEdgeDevices/updateSummary
          - dataBoxEdgeDevices/uploadCertificate
          - dataBoxEdgeDevices/users
          - operations
      microsoft.insights:
        '2019-03-01':
          - actionGroups
          - actionGroups/subscribe
        2018-11-27-preview:
          - vmInsightsOnboardingStatuses
        2018-06-17-preview:
          - workbooks
        '2018-04-20':
          - components/events
          - components/metrics
          - components/query
        '2018-04-16':
          - scheduledQueryRules
        '2018-03-01':
          - metricAlerts
          - metricAlerts/status
        '2018-01-01':
          - metricDefinitions
          - metrics
        2017-12-01-preview:
          - metricNamespaces
        2017-11-01-preview:
          - baseline
          - calculatebaseline
        '2017-10-01':
          - components/pricingPlans
          - listMigrationdate
          - migrateToNewPricingModel
          - rollbackToLegacyPricingModel
        2017-05-01-preview:
          - diagnosticSettings
          - diagnosticSettingsCategories
        '2017-04-01':
          - activityLogAlerts
        '2016-03-01':
          - alertrules
          - alertrules/incidents
          - logprofiles
        '2015-05-01':
          - components
          - components/Annotations
          - components/ApiKeys
          - components/DefaultWorkItemConfig
          - components/ProactiveDetectionConfigs
          - components/WorkItemConfigs
          - components/currentbillingfeatures
          - components/exportconfiguration
          - components/favorites
          - components/featurecapabilities
          - components/getavailablebillingfeatures
          - components/item
          - components/operations
          - components/purge
          - components/quotastatus
          - components/syntheticmonitorlocations
          - components/webtests
          - operations
          - webtests
        '2015-04-01':
          - autoscalesettings
          - eventcategories
          - eventtypes/values
      microsoft.mixedreality:
        2019-02-28-preview:
          - locations/checkNameAvailability
          - operations
          - spatialAnchorsAccounts
          - spatialAnchorsAccounts/keys
      microsoft.storagesync:
        '2019-02-01':
          - locations/checkNameAvailability
          - operations
          - storageSyncServices
          - storageSyncServices/registeredServers
          - storageSyncServices/registeredServers/triggerRollover
          - storageSyncServices/syncGroups
          - storageSyncServices/syncGroups/cloudEndpoints
          - storageSyncServices/syncGroups/cloudEndpoints/postbackup
          - storageSyncServices/syncGroups/cloudEndpoints/postrestore
          - storageSyncServices/syncGroups/cloudEndpoints/prebackup
          - storageSyncServices/syncGroups/cloudEndpoints/prerestore
          - storageSyncServices/syncGroups/cloudEndpoints/restoreheartbeat
          - storageSyncServices/syncGroups/serverEndpoints
          - storageSyncServices/syncGroups/serverEndpoints/recallAction
          - storageSyncServices/workflows
          - storageSyncServices/workflows/abort
      microsoft.containerservice:
        '2019-02-01':
          - managedClusters
          - managedClusters/accessProfiles/listCredential
          - managedClusters/agentPools
          - managedClusters/listClusterAdminCredential
          - managedClusters/listClusterUserCredential
          - managedClusters/resetAADProfile
          - managedClusters/resetServicePrincipalProfile
          - managedClusters/upgradeProfiles
          - operations
        2018-09-30-preview:
          - openShiftManagedClusters
        '2017-09-30':
          - locations/orchestrators
        '2017-08-31':
          - managedClusters/accessProfiles
        '2017-07-01':
          - containerServices
      microsoft.virtualmachineimages:
        2019-02-01-preview:
          - imageTemplates
          - imageTemplates/run
          - imageTemplates/runOutputs
          - operations
      microsoft.eventgrid:
        2019-02-01-preview:
          - domains
          - domains/listKeys
          - domains/regenerateKey
          - domains/topics
          - eventSubscriptions
          - eventSubscriptions/getFullUrl
          - eventTypes
          - locations/eventSubscriptions
          - locations/topicTypes/eventSubscriptions
          - operations
          - topicTypes
          - topicTypes/eventSubscriptions
          - topicTypes/eventTypes
          - topics
          - topics/listKeys
          - topics/regenerateKey
      microsoft.kusto:
        '2019-01-21':
          - clusters
          - clusters/checkNameAvailability
          - clusters/databases
          - clusters/databases/addPrincipals
          - clusters/databases/dataConnectionValidation
          - clusters/databases/dataConnections
          - clusters/databases/listPrincipals
          - clusters/databases/removePrincipals
          - clusters/skus
          - clusters/start
          - clusters/stop
          - locations/checkNameAvailability
          - operations
          - skus
        2018-09-07-preview:
          - clusters/databases/eventhubConnectionValidation
          - clusters/databases/eventhubconnections
      microsoft.consumption:
        '2019-01-01':
          - aggregatedcost
          - balances
          - budgets
          - charges
          - forecasts
          - marketplaces
          - operations
          - pricesheets
          - reservationDetails
          - reservationRecommendations
          - reservationSummaries
          - tags
          - usageDetails
        2018-11-01-preview:
          - billingAccounts/billingProfiles/pricesheet/download
          - billingAccounts/invoices/pricesheet/download
          - credits
          - events
          - lots
        '2018-10-01':
          - tenants
        '2018-06-30':
          - costTags
      microsoft.security:
        2019-01-01-preview:
          - regulatoryComplianceStandards
          - regulatoryComplianceStandards/regulatoryComplianceControls
          - regulatoryComplianceStandards/regulatoryComplianceControls/regulatoryComplianceAssessments
        '2019-01-01':
          - alerts
          - locations/alerts
        '2018-06-01':
          - pricings
        2017-08-01-preview:
          - advancedThreatProtectionSettings
          - autoProvisioningSettings
          - compliances
          - deviceSecurityGroups
          - informationProtectionPolicies
          - securityContacts
          - settings
          - workspaceSettings
        2015-06-01-preview:
          - adaptiveNetworkHardenings
          - allowedConnections
          - discoveredSecuritySolutions
          - externalSecuritySolutions
          - jitNetworkAccessPolicies
          - locations
          - locations/ExternalSecuritySolutions
          - locations/allowedConnections
          - locations/discoveredSecuritySolutions
          - locations/jitNetworkAccessPolicies
          - locations/tasks
          - locations/topologies
          - operations
          - tasks
          - topologies
      microsoft.securityinsights:
        2019-01-01-preview:
          - alertRules
          - alertRules/actions
          - bookmarks
          - cases
          - dataConnectors
          - entities
          - officeConsents
          - operations
          - settings
      microsoft.devspaces:
        2019-01-01-preview:
          - controllers
          - controllers/listConnectionDetails
          - locations/checkContainerHostMapping
          - operations
      microsoft.devices:
        2018-12-01-preview:
          - IotHubs
          - IotHubs/IotHubKeys/listkeys
          - IotHubs/IotHubStats
          - IotHubs/certificates
          - IotHubs/certificates/generateVerificationCode
          - IotHubs/certificates/verify
          - IotHubs/eventHubEndpoints/ConsumerGroups
          - IotHubs/exportDevices
          - IotHubs/importDevices
          - IotHubs/jobs
          - IotHubs/listkeys
          - IotHubs/quotaMetrics
          - IotHubs/routingEndpointsHealth
          - IotHubs/skus
          - checkNameAvailability
          - operations
          - usages
        '2018-01-22':
          - checkProvisioningServiceNameAvailability
          - provisioningServices
          - provisioningServices/certificates
          - provisioningServices/certificates/generateVerificationCode
          - provisioningServices/certificates/verify
          - provisioningServices/keys/listkeys
          - provisioningServices/listkeys
          - provisioningServices/operationresults
          - provisioningServices/skus
      microsoft.batch:
        '2018-12-01':
          - batchAccounts
          - batchAccounts/applications
          - batchAccounts/applications/versions
          - batchAccounts/applications/versions/activate
          - batchAccounts/certificates
          - batchAccounts/certificates/cancelDelete
          - batchAccounts/listKeys
          - batchAccounts/pools
          - batchAccounts/pools/disableAutoScale
          - batchAccounts/pools/stopResize
          - batchAccounts/regenerateKeys
          - batchAccounts/syncAutoStorageKeys
          - locations/checkNameAvailability
          - locations/quotas
          - operations
      microsoft.managedidentity:
        '2018-11-30':
          - operations
          - userAssignedIdentities
      microsoft.guestconfiguration:
        '2018-11-20':
          - guestConfigurationAssignments
          - guestConfigurationAssignments/reports
          - operations
      microsoft.storage:
        '2018-11-01':
          - checkNameAvailability
          - locations/usages
          - operations
          - skus
          - storageAccounts
          - storageAccounts/ListAccountSas
          - storageAccounts/ListServiceSas
          - storageAccounts/blobServices
          - storageAccounts/blobServices/containers
          - storageAccounts/blobServices/containers/clearLegalHold
          - storageAccounts/blobServices/containers/immutabilityPolicies
          - storageAccounts/blobServices/containers/immutabilityPolicies/extend
          - storageAccounts/blobServices/containers/immutabilityPolicies/lock
          - storageAccounts/blobServices/containers/setLegalHold
          - storageAccounts/failover
          - storageAccounts/listKeys
          - storageAccounts/managementPolicies
          - storageAccounts/regenerateKey
          - storageAccounts/revokeUserDelegationKeys
        2018-03-01-preview:
          - usages
      microsoft.billing:
        2018-11-01-preview:
          - billingAccounts
          - billingAccounts/billingProfile/billingSubscriptions
          - billingAccounts/billingProfiles
          - billingAccounts/billingProfiles/availableBalance
          - billingAccounts/billingProfiles/invoiceSections
          - billingAccounts/billingProfiles/invoices
          - billingAccounts/billingProfiles/paymentMethods
          - billingAccounts/billingProfiles/policies
          - billingAccounts/billingProfiles/transactions
          - billingAccounts/billingSubscriptions
          - billingAccounts/departments
          - billingAccounts/enrollmentAccounts
          - billingAccounts/invoiceSections
          - billingAccounts/invoiceSections/billingSubscriptions
          - billingAccounts/invoiceSections/billingSubscriptions/transfer
          - billingAccounts/invoiceSections/elevate
          - billingAccounts/invoiceSections/initiateTransfer
          - billingAccounts/invoiceSections/products
          - billingAccounts/invoiceSections/products/transfer
          - billingAccounts/invoiceSections/products/updateAutoRenew
          - billingAccounts/invoiceSections/transfers
          - billingAccounts/invoices
          - billingAccounts/invoices/pricesheet/download
          - billingAccounts/listInvoiceSectionsWithCreateSubscriptionPermission
          - billingAccounts/products
          - billingAccounts/products/updateAutoRenew
          - billingAccounts/transactions
          - billingPermissions
          - billingProperty
          - billingRoleAssignments
          - billingRoleDefinitions
          - createBillingRoleAssignment
          - listBillingAccountsWithCreateInvoiceSectionPermission
          - operations
          - transfers
          - transfers/acceptTransfer
          - transfers/declineTransfer
        2018-03-01-preview:
          - billingPeriods
          - enrollmentAccounts
          - invoices
      microsoft.blueprint:
        2018-11-01-preview:
          - blueprintAssignments
          - blueprintAssignments/WhoIsBlueprint
          - blueprintAssignments/assignmentOperations
          - blueprints
          - blueprints/artifacts
          - blueprints/versions
          - blueprints/versions/artifacts
        2017-11-11-preview:
          - operations
      microsoft.web:
        '2018-11-01':
          - certificates
        '2018-02-01':
          - availableStacks
          - billingMeters
          - checknameavailability
          - deletedSites
          - deploymentLocations
          - geoRegions
          - hostingEnvironments
          - hostingEnvironments/capacities
          - hostingEnvironments/changeVirtualNetwork
          - hostingEnvironments/detectors
          - hostingEnvironments/diagnostics
          - hostingEnvironments/inboundNetworkDependenciesEndpoints
          - hostingEnvironments/metricdefinitions
          - hostingEnvironments/metrics
          - hostingEnvironments/multiRolePools
          - hostingEnvironments/multiRolePools/instances/metricdefinitions
          - hostingEnvironments/multiRolePools/instances/metrics
          - hostingEnvironments/multiRolePools/metricdefinitions
          - hostingEnvironments/multiRolePools/metrics
          - hostingEnvironments/multiRolePools/skus
          - hostingEnvironments/multiRolePools/usages
          - hostingEnvironments/operations
          - hostingEnvironments/outboundNetworkDependenciesEndpoints
          - hostingEnvironments/reboot
          - hostingEnvironments/recommendationHistory
          - hostingEnvironments/recommendations
          - hostingEnvironments/recommendations/disable
          - hostingEnvironments/resume
          - hostingEnvironments/serverfarms
          - hostingEnvironments/sites
          - hostingEnvironments/suspend
          - hostingEnvironments/usages
          - hostingEnvironments/workerPools
          - hostingEnvironments/workerPools/instances/metricdefinitions
          - hostingEnvironments/workerPools/instances/metrics
          - hostingEnvironments/workerPools/metricdefinitions
          - hostingEnvironments/workerPools/metrics
          - hostingEnvironments/workerPools/skus
          - hostingEnvironments/workerPools/usages
          - listSitesAssignedToHostName
          - operations
          - premieraddonoffers
          - publishingUsers
          - recommendations
          - recommendations/disable
          - resourceHealthMetadata
          - serverfarms
          - serverfarms/capabilities
          - serverfarms/hybridConnectionNamespaces/relays
          - serverfarms/hybridConnectionNamespaces/relays/listKeys
          - serverfarms/hybridConnectionNamespaces/relays/sites
          - serverfarms/hybridConnectionPlanLimits
          - serverfarms/hybridConnectionRelays
          - serverfarms/metricdefinitions
          - serverfarms/metrics
          - serverfarms/restartSites
          - serverfarms/sites
          - serverfarms/skus
          - serverfarms/usages
          - serverfarms/virtualNetworkConnections
          - serverfarms/virtualNetworkConnections/gateways
          - serverfarms/virtualNetworkConnections/routes
          - serverfarms/workers/reboot
          - sites
          - sites/analyzeCustomHostname
          - sites/applySlotConfig
          - sites/backup
          - sites/backups
          - sites/backups/list
          - sites/backups/restore
          - sites/config
          - sites/config/list
          - sites/config/snapshots
          - sites/config/snapshots/recover
          - sites/containerlogs
          - sites/containerlogs/download
          - sites/continuouswebjobs
          - sites/continuouswebjobs/start
          - sites/continuouswebjobs/stop
          - sites/deployments
          - sites/deployments/log
          - sites/detectors
          - sites/diagnostics
          - sites/diagnostics/analyses
          - sites/diagnostics/analyses/execute
          - sites/diagnostics/detectors
          - sites/diagnostics/detectors/execute
          - sites/discoverbackup
          - sites/domainOwnershipIdentifiers
          - sites/extensions
          - sites/extensions/log
          - sites/functions
          - sites/functions/listsecrets
          - sites/functions/token
          - sites/hostNameBindings
          - sites/hybridConnectionNamespaces/relays
          - sites/hybridConnectionNamespaces/relays/listKeys
          - sites/hybridConnectionRelays
          - sites/hybridconnection
          - sites/instances
          - sites/instances/extensions
          - sites/instances/extensions/log
          - sites/instances/processes
          - sites/instances/processes/dump
          - sites/instances/processes/modules
          - sites/instances/processes/threads
          - sites/iscloneable
          - sites/listsyncfunctiontriggerstatus
          - sites/metricdefinitions
          - sites/metrics
          - sites/migrate
          - sites/migratemysql
          - sites/networkConfig
          - sites/networkFeatures
          - sites/networkTrace
          - sites/networkTraces
          - sites/networkTraces/operationresults
          - sites/newpassword
          - sites/perfcounters
          - sites/phplogging
          - sites/premieraddons
          - sites/privateAccess
          - sites/processes
          - sites/processes/dump
          - sites/processes/modules
          - sites/processes/threads
          - sites/publicCertificates
          - sites/publishxml
          - sites/recommendationHistory
          - sites/recommendations
          - sites/recommendations/disable
          - sites/resetSlotConfig
          - sites/resourceHealthMetadata
          - sites/restart
          - sites/restoreFromBackupBlob
          - sites/restoreFromDeletedApp
          - sites/restoreSnapshot
          - sites/siteextensions
          - sites/slots
          - sites/slots/analyzeCustomHostname
          - sites/slots/applySlotConfig
          - sites/slots/backup
          - sites/slots/backups
          - sites/slots/backups/list
          - sites/slots/backups/restore
          - sites/slots/config
          - sites/slots/config/list
          - sites/slots/config/snapshots
          - sites/slots/config/snapshots/recover
          - sites/slots/containerlogs
          - sites/slots/containerlogs/download
          - sites/slots/continuouswebjobs
          - sites/slots/continuouswebjobs/start
          - sites/slots/continuouswebjobs/stop
          - sites/slots/deployments
          - sites/slots/deployments/log
          - sites/slots/detectors
          - sites/slots/diagnostics
          - sites/slots/diagnostics/analyses
          - sites/slots/diagnostics/analyses/execute
          - sites/slots/diagnostics/detectors
          - sites/slots/diagnostics/detectors/execute
          - sites/slots/discoverbackup
          - sites/slots/domainOwnershipIdentifiers
          - sites/slots/extensions
          - sites/slots/extensions/log
          - sites/slots/functions
          - sites/slots/functions/listsecrets
          - sites/slots/functions/token
          - sites/slots/hostNameBindings
          - sites/slots/hybridConnectionNamespaces/relays
          - sites/slots/hybridConnectionNamespaces/relays/listKeys
          - sites/slots/hybridConnectionRelays
          - sites/slots/hybridconnection
          - sites/slots/instances
          - sites/slots/instances/extensions
          - sites/slots/instances/extensions/log
          - sites/slots/instances/processes
          - sites/slots/instances/processes/dump
          - sites/slots/instances/processes/modules
          - sites/slots/instances/processes/threads
          - sites/slots/iscloneable
          - sites/slots/listsyncfunctiontriggerstatus
          - sites/slots/metricdefinitions
          - sites/slots/metrics
          - sites/slots/migratemysql
          - sites/slots/networkConfig
          - sites/slots/networkFeatures
          - sites/slots/networkTrace
          - sites/slots/networkTraces
          - sites/slots/networkTraces/operationresults
          - sites/slots/newpassword
          - sites/slots/perfcounters
          - sites/slots/phplogging
          - sites/slots/premieraddons
          - sites/slots/privateAccess
          - sites/slots/processes
          - sites/slots/processes/dump
          - sites/slots/processes/modules
          - sites/slots/processes/threads
          - sites/slots/publicCertificates
          - sites/slots/publishxml
          - sites/slots/resetSlotConfig
          - sites/slots/resourceHealthMetadata
          - sites/slots/restart
          - sites/slots/restoreFromBackupBlob
          - sites/slots/restoreFromDeletedApp
          - sites/slots/restoreSnapshot
          - sites/slots/siteextensions
          - sites/slots/slotsdiffs
          - sites/slots/slotsswap
          - sites/slots/snapshots
          - sites/slots/snapshotsdr
          - sites/slots/sourcecontrols
          - sites/slots/start
          - sites/slots/startNetworkTrace
          - sites/slots/stop
          - sites/slots/stopNetworkTrace
          - sites/slots/sync
          - sites/slots/syncfunctiontriggers
          - sites/slots/triggeredwebjobs
          - sites/slots/triggeredwebjobs/history
          - sites/slots/triggeredwebjobs/run
          - sites/slots/usages
          - sites/slots/virtualNetworkConnections
          - sites/slots/virtualNetworkConnections/gateways
          - sites/slots/webjobs
          - sites/slotsdiffs
          - sites/slotsswap
          - sites/snapshots
          - sites/snapshotsdr
          - sites/sourcecontrols
          - sites/start
          - sites/startNetworkTrace
          - sites/stop
          - sites/stopNetworkTrace
          - sites/sync
          - sites/syncfunctiontriggers
          - sites/triggeredwebjobs
          - sites/triggeredwebjobs/history
          - sites/triggeredwebjobs/run
          - sites/usages
          - sites/virtualNetworkConnections
          - sites/virtualNetworkConnections/gateways
          - sites/webjobs
          - skus
          - sourcecontrols
          - validate
          - validateContainerSettings
          - verifyHostingEnvironmentVnet
        '2016-08-01':
          - sites/recover
          - sites/slots/recover
        2015-08-01-preview:
          - connections
          - connections/confirmConsentCode
          - connections/listConnectionKeys
          - connections/listConsentLinks
          - locations/managedApis
        '2015-08-01':
          - classicMobileServices
          - csrs
          - hostingEnvironments/webhostingplans
          - ishostingenvironmentnameavailable
          - managedHostingEnvironments
          - managedHostingEnvironments/capacities
          - managedHostingEnvironments/operations
          - managedHostingEnvironments/serverfarms
          - managedHostingEnvironments/sites
          - managedHostingEnvironments/webhostingplans
          - publishingCredentials
          - serverfarms/operationresults
          - sites/instances/deployments
          - sites/operationresults
          - sites/slots/instances/deployments
          - sites/slots/operationresults
      microsoft.subscription:
        2018-11-01-preview:
          - createSubscription
          - operations
          - subscriptionOperations
        2017-11-01-preview:
          - subscriptionDefinitions
      microsoft.hardwaresecuritymodules:
        2018-10-31-preview:
          - dedicatedHSMs
      microsoft.labservices:
        '2018-10-15':
          - labaccounts
          - labaccounts/createLab
          - labaccounts/galleryimages
          - labaccounts/getRegionalAvailability
          - labaccounts/labs
          - labaccounts/labs/addUsers
          - labaccounts/labs/environmentsettings
          - labaccounts/labs/environmentsettings/claimAny
          - labaccounts/labs/environmentsettings/environments
          - labaccounts/labs/environmentsettings/environments/claim
          - labaccounts/labs/environmentsettings/environments/resetPassword
          - labaccounts/labs/environmentsettings/environments/start
          - labaccounts/labs/environmentsettings/environments/stop
          - labaccounts/labs/environmentsettings/publish
          - labaccounts/labs/environmentsettings/start
          - labaccounts/labs/environmentsettings/stop
          - labaccounts/labs/register
          - labaccounts/labs/users
          - locations/operations
          - operations
          - users/getEnvironment
          - users/getOperationBatchStatus
          - users/getOperationStatus
          - users/getPersonalPreferences
          - users/listEnvironments
          - users/listLabs
          - users/register
          - users/resetPassword
          - users/startEnvironment
          - users/stopEnvironment
      microsoft.signalrservice:
        '2018-10-01':
          - SignalR/listKeys
          - SignalR/regenerateKey
          - locations/checkNameAvailability
          - locations/usages
          - operations
          - signalR
          - signalR/restart
      microsoft.compute:
        '2018-10-01':
          - availabilitySets
          - availabilitySets/vmSizes
          - images
          - locations/logAnalytics/getRequestRateByInterval
          - locations/logAnalytics/getThrottledRequests
          - locations/publishers
          - locations/publishers/artifacttypes/offers
          - locations/publishers/artifacttypes/offers/skus
          - locations/publishers/artifacttypes/offers/skus/versions
          - locations/publishers/artifacttypes/types
          - locations/publishers/artifacttypes/types/versions
          - locations/runCommands
          - locations/usages
          - locations/virtualMachines
          - locations/vmSizes
          - operations
          - virtualMachineScaleSets
          - virtualMachineScaleSets/deallocate
          - virtualMachineScaleSets/delete
          - virtualMachineScaleSets/extensionRollingUpgrade
          - virtualMachineScaleSets/extensions
          - virtualMachineScaleSets/forceRecoveryServiceFabricPlatformUpdateDomainWalk
          - virtualMachineScaleSets/instanceView
          - virtualMachineScaleSets/manualupgrade
          - virtualMachineScaleSets/osRollingUpgrade
          - virtualMachineScaleSets/osUpgradeHistory
          - virtualMachineScaleSets/performMaintenance
          - virtualMachineScaleSets/poweroff
          - virtualMachineScaleSets/redeploy
          - virtualMachineScaleSets/reimage
          - virtualMachineScaleSets/reimageall
          - virtualMachineScaleSets/restart
          - virtualMachineScaleSets/rollingUpgrades
          - virtualMachineScaleSets/skus
          - virtualMachineScaleSets/start
          - virtualMachineScaleSets/virtualmachines
          - virtualMachineScaleSets/virtualmachines/deallocate
          - virtualMachineScaleSets/virtualmachines/instanceView
          - virtualMachineScaleSets/virtualmachines/performMaintenance
          - virtualMachineScaleSets/virtualmachines/poweroff
          - virtualMachineScaleSets/virtualmachines/redeploy
          - virtualMachineScaleSets/virtualmachines/reimage
          - virtualMachineScaleSets/virtualmachines/reimageall
          - virtualMachineScaleSets/virtualmachines/restart
          - virtualMachineScaleSets/virtualmachines/runCommand
          - virtualMachineScaleSets/virtualmachines/start
          - virtualMachines
          - virtualMachines/capture
          - virtualMachines/convertToManagedDisks
          - virtualMachines/deallocate
          - virtualMachines/extensions
          - virtualMachines/generalize
          - virtualMachines/instanceView
          - virtualMachines/performMaintenance
          - virtualMachines/powerOff
          - virtualMachines/redeploy
          - virtualMachines/reimage
          - virtualMachines/restart
          - virtualMachines/runCommand
          - virtualMachines/start
          - virtualMachines/vmSizes
        '2018-09-30':
          - disks
          - disks/beginGetAccess
          - disks/endGetAccess
          - snapshots
          - snapshots/beginGetAccess
          - snapshots/endGetAccess
        '2018-06-01':
          - galleries
          - galleries/images
          - galleries/images/versions
        '2017-09-01':
          - skus
        '2017-03-30':
          - virtualMachineScaleSets/networkInterfaces
          - virtualMachineScaleSets/publicipaddresses
          - virtualMachineScaleSets/virtualMachines/networkInterfaces
          - virtualMachineScaleSets/virtualMachines/networkInterfaces/ipConfigurations
          - virtualMachineScaleSets/virtualMachines/networkInterfaces/ipconfigurations/publicipaddresses
      microsoft.containerinstance:
        '2018-10-01':
          - containerGroups
          - containerGroups/containers/exec
          - containerGroups/containers/logs
          - containerGroups/restart
          - containerGroups/start
          - containerGroups/stop
          - locations/cachedImages
          - locations/capabilities
          - locations/usages
          - operations
          - serviceAssociationLinks
      microsoft.devtestlab:
        '2018-09-15':
          - labs
          - labs/artifactsources
          - labs/artifactsources/armtemplates
          - labs/artifactsources/artifacts
          - labs/artifactsources/artifacts/generateArmTemplate
          - labs/claimAnyVm
          - labs/costs
          - labs/createEnvironment
          - labs/customimages
          - labs/exportResourceUsage
          - labs/formulas
          - labs/galleryimages
          - labs/generateUploadUri
          - labs/importVirtualMachine
          - labs/listVhds
          - labs/notificationchannels
          - labs/notificationchannels/notify
          - labs/policysets/evaluatePolicies
          - labs/policysets/policies
          - labs/schedules
          - labs/schedules/execute
          - labs/schedules/listApplicable
          - labs/servicerunners
          - labs/users
          - labs/users/disks
          - labs/users/disks/attach
          - labs/users/disks/detach
          - labs/users/environments
          - labs/users/secrets
          - labs/users/servicefabrics
          - labs/users/servicefabrics/listApplicableSchedules
          - labs/users/servicefabrics/schedules
          - labs/users/servicefabrics/schedules/execute
          - labs/users/servicefabrics/start
          - labs/users/servicefabrics/stop
          - labs/virtualmachines
          - labs/virtualmachines/addDataDisk
          - labs/virtualmachines/applyArtifacts
          - labs/virtualmachines/claim
          - labs/virtualmachines/detachDataDisk
          - labs/virtualmachines/getRdpFileContents
          - labs/virtualmachines/listApplicableSchedules
          - labs/virtualmachines/redeploy
          - labs/virtualmachines/resize
          - labs/virtualmachines/restart
          - labs/virtualmachines/schedules
          - labs/virtualmachines/schedules/execute
          - labs/virtualmachines/start
          - labs/virtualmachines/stop
          - labs/virtualmachines/transferDisks
          - labs/virtualmachines/unClaim
          - labs/virtualnetworks
          - locations/operations
          - operations
          - schedules
          - schedules/execute
          - schedules/retarget
        2015-05-21-preview:
          - labs/costinsights
          - labs/costinsights/refreshData
          - labs/costs/refreshData
      microsoft.authorization:
        2018-09-01-preview:
          - roleAssignments
        2018-07-01-preview:
          - denyAssignments
        '2018-05-01':
          - policyAssignments
          - policyDefinitions
          - policySetDefinitions
        2018-01-01-preview:
          - permissions
          - providerOperations
          - roleDefinitions
        '2016-09-01':
          - locks
          - operations
        '2015-07-01':
          - classicAdministrators
          - elevateAccess
      microsoft.containerregistry:
        '2018-09-01':
          - registries/listBuildSourceUploadUrl
          - registries/runs
          - registries/runs/cancel
          - registries/runs/listLogSasUrl
          - registries/scheduleRun
          - registries/tasks
          - registries/tasks/listDetails
        2018-02-01-preview:
          - registries/buildTasks
          - registries/buildTasks/listSourceRepositoryProperties
          - registries/buildTasks/steps
          - registries/buildTasks/steps/listBuildArguments
          - registries/builds
          - registries/builds/cancel
          - registries/builds/getLogLink
          - registries/getBuildSourceUploadUrl
          - registries/queueBuild
        '2017-10-01':
          - checkNameAvailability
          - operations
          - registries
          - registries/importImage
          - registries/listCredentials
          - registries/listPolicies
          - registries/listUsages
          - registries/regenerateCredential
          - registries/replications
          - registries/updatePolicies
          - registries/webhooks
          - registries/webhooks/getCallbackConfig
          - registries/webhooks/listEvents
          - registries/webhooks/ping
        2016-06-27-preview:
          - registries/getCredentials
          - registries/regenerateCredentials
      microsoft.deploymentmanager:
        2018-09-01-preview:
          - artifactSources
          - operations
          - rollouts
          - rollouts/cancel
          - rollouts/restart
          - serviceTopologies
          - serviceTopologies/services
          - serviceTopologies/services/serviceUnits
          - steps
      microsoft.iotcentral:
        '2018-09-01':
          - IoTApps
          - checkNameAvailability
          - checkSubdomainAvailability
          - operations
      microsoft.servicefabricmesh:
        2018-09-01-preview:
          - applications
          - applications/services
          - applications/services/replicas
          - applications/services/replicas/codePackages/logs
          - gateways
          - networks
          - operations
          - secrets
          - secrets/values
          - volumes
      microsoft.engagementfabric:
        2018-09-01-preview:
          - Accounts
          - Accounts/Channels
          - Accounts/listChannelTypes
          - Accounts/listKeys
          - Accounts/regenerateKey
          - checkNameAvailability
          - operations
          - skus
      microsoft.workloadmonitor:
        2018-08-31-preview:
          - components
          - componentsSummary
          - monitorInstances
          - monitorInstancesSummary
          - monitors
          - notificationSettings
          - operations
      microsoft.healthcareapis:
        2018-08-20-preview:
          - checkNameAvailability
          - locations/moveResourcesStatus
          - locations/operationresults
          - moveResources
          - operations
          - services
      microsoft.timeseriesinsights:
        2018-08-15-preview:
          - environments
          - environments/accessPolicies
          - environments/eventSources
          - environments/referenceDataSets
          - operations
      microsoft.datamigration:
        2018-07-15-preview:
          - locations/checkNameAvailability
          - locations/usages
          - operations
          - services
          - services/checkNameAvailability
          - services/checkStatus
          - services/projects
          - services/projects/files
          - services/projects/files/read
          - services/projects/files/readwrite
          - services/projects/tasks
          - services/projects/tasks/cancel
          - services/projects/tasks/command
          - services/skus
          - services/start
          - services/stop
          - skus
      microsoft.botservice:
        '2018-07-12':
          - botServices
          - botServices/Connections
          - botServices/Connections/listWithSecrets
          - botServices/channels
          - botServices/channels/listChannelWithKeys
          - checkEnterpriseChannelNameAvailability
          - checkNameAvailability
          - enterpriseChannels
          - listAuthServiceProviders
          - operations
      microsoft.recoveryservices:
        '2018-07-10':
          - operations
          - vaults/replicationAlertSettings
          - vaults/replicationEvents
          - vaults/replicationFabrics
          - vaults/replicationFabrics/checkConsistency
          - vaults/replicationFabrics/migratetoaad
          - vaults/replicationFabrics/reassociateGateway
          - vaults/replicationFabrics/remove
          - vaults/replicationFabrics/renewCertificate
          - vaults/replicationFabrics/replicationLogicalNetworks
          - vaults/replicationFabrics/replicationNetworks
          - vaults/replicationFabrics/replicationNetworks/replicationNetworkMappings
          - vaults/replicationFabrics/replicationProtectionContainers
          - vaults/replicationFabrics/replicationProtectionContainers/discoverProtectableItem
          - vaults/replicationFabrics/replicationProtectionContainers/remove
          - vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems
          - vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrate
          - vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints
          - vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrate
          - vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/testMigrateCleanup
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectableItems
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/ResolveHealthErrors
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/addDisks
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/applyRecoveryPoint
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/failoverCommit
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/plannedFailover
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/reProtect
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/remove
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/removeDisks
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/repairReplication
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/targetComputeSizes
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailover
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/testFailoverCleanup
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/unplannedFailover
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/updateMobilityService
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings
          - vaults/replicationFabrics/replicationProtectionContainers/replicationProtectionContainerMappings/remove
          - vaults/replicationFabrics/replicationProtectionContainers/switchprotection
          - vaults/replicationFabrics/replicationRecoveryServicesProviders
          - vaults/replicationFabrics/replicationRecoveryServicesProviders/refreshProvider
          - vaults/replicationFabrics/replicationRecoveryServicesProviders/remove
          - vaults/replicationFabrics/replicationStorageClassifications
          - vaults/replicationFabrics/replicationStorageClassifications/replicationStorageClassificationMappings
          - vaults/replicationFabrics/replicationvCenters
          - vaults/replicationJobs
          - vaults/replicationJobs/cancel
          - vaults/replicationJobs/restart
          - vaults/replicationJobs/resume
          - vaults/replicationMigrationItems
          - vaults/replicationNetworkMappings
          - vaults/replicationNetworks
          - vaults/replicationPolicies
          - vaults/replicationProtectedItems
          - vaults/replicationProtectionContainerMappings
          - vaults/replicationProtectionContainers
          - vaults/replicationRecoveryPlans
          - vaults/replicationRecoveryPlans/failoverCommit
          - vaults/replicationRecoveryPlans/plannedFailover
          - vaults/replicationRecoveryPlans/reProtect
          - vaults/replicationRecoveryPlans/testFailover
          - vaults/replicationRecoveryPlans/testFailoverCleanup
          - vaults/replicationRecoveryPlans/unplannedFailover
          - vaults/replicationRecoveryServicesProviders
          - vaults/replicationStorageClassificationMappings
          - vaults/replicationStorageClassifications
          - vaults/replicationSupportedOperatingSystems
          - vaults/replicationVaultHealth
          - vaults/replicationVaultHealth/refresh
          - vaults/replicationvCenters
        '2017-07-01':
          - locations/backupPreValidateProtection
          - locations/backupStatus
          - locations/backupValidateFeatures
          - vaults/backupFabrics/backupProtectionIntent
          - vaults/backupJobs
          - vaults/backupJobsExport
          - vaults/backupPolicies
          - vaults/backupProtectedItems
          - vaults/backupProtectionIntents
          - vaults/backupUsageSummaries
          - vaults/backupValidateOperation
        '2016-12-01':
          - vaults/backupEngines
          - vaults/backupFabrics/operationResults
          - vaults/backupFabrics/protectableContainers
          - vaults/backupFabrics/protectionContainers
          - vaults/backupFabrics/protectionContainers/inquire
          - vaults/backupFabrics/protectionContainers/items
          - vaults/backupFabrics/protectionContainers/operationResults
          - vaults/backupFabrics/protectionContainers/protectedItems
          - vaults/backupFabrics/protectionContainers/protectedItems/backup
          - vaults/backupFabrics/protectionContainers/protectedItems/operationResults
          - vaults/backupFabrics/protectionContainers/protectedItems/operationsStatus
          - vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints
          - vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/provisionInstantItemRecovery
          - vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/restore
          - vaults/backupFabrics/protectionContainers/protectedItems/recoveryPoints/revokeInstantItemRecovery
          - vaults/backupFabrics/refreshContainers
          - vaults/backupJobs/cancel
          - vaults/backupJobs/operationResults
          - vaults/backupOperationResults
          - vaults/backupOperations
          - vaults/backupPolicies/operationResults
          - vaults/backupPolicies/operations
          - vaults/backupProtectableItems
          - vaults/backupProtectionContainers
          - vaults/backupSecurityPIN
          - vaults/backupconfig
          - vaults/backupstorageconfig
        '2016-06-01':
          - vaults
          - vaults/certificates
          - vaults/extendedInformation
          - vaults/registeredIdentities
          - vaults/replicationUsages
          - vaults/usages
      microsoft.media:
        '2018-07-01':
          - locations/checkNameAvailability
          - mediaServices/accountFilters
          - mediaServices/assets
          - mediaServices/assets/assetFilters
          - mediaServices/assets/getEncryptionKey
          - mediaServices/assets/listContainerSas
          - mediaServices/assets/listStreamingLocators
          - mediaServices/contentKeyPolicies
          - mediaServices/contentKeyPolicies/getPolicyPropertiesWithSecrets
          - mediaServices/streamingLocators
          - mediaServices/streamingLocators/listContentKeys
          - mediaServices/streamingLocators/listPaths
          - mediaServices/streamingPolicies
          - mediaServices/transforms
          - mediaServices/transforms/jobs
          - mediaServices/transforms/jobs/cancelJob
          - mediaservices
          - mediaservices/liveEvents
          - mediaservices/liveEvents/liveOutputs
          - mediaservices/liveEvents/reset
          - mediaservices/liveEvents/start
          - mediaservices/liveEvents/stop
          - mediaservices/streamingEndpoints
          - mediaservices/streamingEndpoints/scale
          - mediaservices/streamingEndpoints/start
          - mediaservices/streamingEndpoints/stop
          - mediaservices/syncStorageKeys
          - operations
        '2015-10-01':
          - CheckNameAvailability
          - mediaservices/listKeys
          - mediaservices/regenerateKey
      microsoft.logic:
        2018-07-01-preview:
          - integrationAccounts
          - integrationAccounts/agreements
          - integrationAccounts/agreements/listContentCallbackUrl
          - integrationAccounts/assemblies
          - integrationAccounts/assemblies/listContentCallbackUrl
          - integrationAccounts/batchConfigurations
          - integrationAccounts/certificates
          - integrationAccounts/listCallbackUrl
          - integrationAccounts/listKeyVaultKeys
          - integrationAccounts/logTrackingEvents
          - integrationAccounts/maps
          - integrationAccounts/maps/listContentCallbackUrl
          - integrationAccounts/partners
          - integrationAccounts/partners/listContentCallbackUrl
          - integrationAccounts/regenerateAccessKey
          - integrationAccounts/schemas
          - integrationAccounts/schemas/listContentCallbackUrl
          - integrationAccounts/sessions
          - locations/workflows/validate
          - operations
          - workflows
          - workflows/disable
          - workflows/enable
          - workflows/generateUpgradedDefinition
          - workflows/listCallbackUrl
          - workflows/listSwagger
          - workflows/move
          - workflows/regenerateAccessKey
          - workflows/runs
          - workflows/runs/actions
          - workflows/runs/actions/listExpressionTraces
          - workflows/runs/actions/repetitions
          - workflows/runs/actions/repetitions/listExpressionTraces
          - workflows/runs/actions/repetitions/requestHistories
          - workflows/runs/actions/requestHistories
          - workflows/runs/actions/scopeRepetitions
          - workflows/runs/cancel
          - workflows/runs/operations
          - workflows/triggers
          - workflows/triggers/histories
          - workflows/triggers/histories/resubmit
          - workflows/triggers/listCallbackUrl
          - workflows/triggers/reset
          - workflows/triggers/run
          - workflows/triggers/schemas
          - workflows/triggers/setState
          - workflows/validate
          - workflows/versions
          - workflows/versions/triggers/listCallbackUrl
        2015-02-01-preview:
          - workflows/accessKeys
          - workflows/accessKeys/list
          - workflows/accessKeys/regenerate
          - workflows/run
      microsoft.policyinsights:
        2018-07-01-preview:
          - operations
          - policyStates/queryResults
          - policyStates/summarize
          - policyTrackedResources/queryResults
          - remediations
          - remediations/cancel
          - remediations/listDeployments
        '2018-04-04':
          - policyEvents/queryResults
      microsoft.automation:
        '2018-06-30':
          - automationAccounts/python2Packages
          - automationAccounts/runbooks
          - automationAccounts/runbooks/content
          - automationAccounts/runbooks/draft
          - automationAccounts/runbooks/draft/resume
          - automationAccounts/runbooks/draft/stop
          - automationAccounts/runbooks/draft/streams
          - automationAccounts/runbooks/draft/suspend
          - automationAccounts/runbooks/publish
        '2018-01-15':
          - automationAccounts/agentRegistrationInformation
          - automationAccounts/compilationjobs
          - automationAccounts/compilationjobs/streams
          - automationAccounts/nodeConfigurations
          - automationAccounts/nodecounts
          - automationAccounts/nodes
          - automationAccounts/nodes/reports
          - automationAccounts/nodes/reports/content
        2017-05-15-preview:
          - automationAccounts/jobs
          - automationAccounts/jobs/output
          - automationAccounts/jobs/resume
          - automationAccounts/jobs/runbookContent
          - automationAccounts/jobs/stop
          - automationAccounts/jobs/streams
          - automationAccounts/jobs/suspend
          - automationAccounts/softwareUpdateConfigurationMachineRuns
          - automationAccounts/softwareUpdateConfigurationRuns
          - automationAccounts/softwareUpdateConfigurations
          - automationAccounts/sourceControls
          - automationAccounts/sourceControls/sourceControlSyncJobs
          - automationAccounts/sourceControls/sourceControlSyncJobs/streams
        '2015-10-31':
          - automationAccounts
          - automationAccounts/certificates
          - automationAccounts/configurations
          - automationAccounts/configurations/content
          - automationAccounts/connectionTypes
          - automationAccounts/connections
          - automationAccounts/credentials
          - automationAccounts/hybridRunbookWorkerGroups
          - automationAccounts/jobSchedules
          - automationAccounts/linkedWorkspace
          - automationAccounts/listKeys
          - automationAccounts/modules
          - automationAccounts/modules/activities
          - automationAccounts/modules/objectDataTypes/fields
          - automationAccounts/modules/types/fields
          - automationAccounts/objectDataTypes/fields
          - automationAccounts/schedules
          - automationAccounts/statistics
          - automationAccounts/usages
          - automationAccounts/variables
          - automationAccounts/watchers
          - automationAccounts/watchers/start
          - automationAccounts/watchers/stop
          - automationAccounts/webhooks
          - operations
      microsoft.datafactory:
        '2018-06-01':
          - factories
          - factories/datasets
          - factories/getDataPlaneAccess
          - factories/getGitHubAccessToken
          - factories/integrationRuntimes
          - factories/integrationRuntimes/getConnectionInfo
          - factories/integrationRuntimes/getObjectMetadata
          - factories/integrationRuntimes/getStatus
          - factories/integrationRuntimes/linkedIntegrationRuntime
          - factories/integrationRuntimes/listAuthKeys
          - factories/integrationRuntimes/monitoringData
          - factories/integrationRuntimes/nodes
          - factories/integrationRuntimes/nodes/ipAddress
          - factories/integrationRuntimes/refreshObjectMetadata
          - factories/integrationRuntimes/regenerateAuthKey
          - factories/integrationRuntimes/removeLinks
          - factories/integrationRuntimes/start
          - factories/integrationRuntimes/stop
          - factories/integrationRuntimes/syncCredentials
          - factories/integrationRuntimes/upgrade
          - factories/linkedservices
          - factories/pipelineruns
          - factories/pipelineruns/cancel
          - factories/pipelineruns/queryActivityruns
          - factories/pipelines
          - factories/pipelines/createRun
          - factories/queryPipelineRuns
          - factories/queryTriggerRuns
          - factories/triggers
          - factories/triggers/rerunTriggers
          - factories/triggers/rerunTriggers/cancel
          - factories/triggers/rerunTriggers/start
          - factories/triggers/rerunTriggers/stop
          - factories/triggers/start
          - factories/triggers/stop
          - locations/configureFactoryRepo
          - locations/getFeatureValue
          - operations
        2017-09-01-preview:
          - factories/cancelpipelinerun
          - factories/integrationRuntimes/removeNode
          - factories/pipelineruns/activityruns
          - factories/triggers/triggerruns
      microsoft.managedservices:
        2018-06-01-preview:
          - operations
          - registrationAssignments
          - registrationDefinitions
      microsoft.dbformariadb:
        2018-06-01-preview:
          - checkNameAvailability
          - locations/performanceTiers
          - operations
          - servers
          - servers/configurations
          - servers/databases
          - servers/firewallRules
          - servers/logFiles
          - servers/securityAlertPolicies
          - servers/virtualNetworkRules
        '2018-06-01':
          - servers/replicas
          - servers/restart
      microsoft.apimanagement:
        2018-06-01-preview:
          - checkNameAvailability
          - operations
          - service
          - service/apis
          - service/apis/diagnostics
          - service/apis/issues
          - service/apis/issues/attachments
          - service/apis/issues/comments
          - service/apis/operations
          - service/apis/operations/policies
          - service/apis/operations/tags
          - service/apis/operationsByTags
          - service/apis/policies
          - service/apis/products
          - service/apis/releases
          - service/apis/revisions
          - service/apis/schemas
          - service/apis/tagDescriptions
          - service/apis/tags
          - service/apisByTags
          - service/applynetworkconfigurationupdates
          - service/authorizationServers
          - service/backends
          - service/backends/reconnect
          - service/backup
          - service/caches
          - service/certificates
          - service/diagnostics
          - service/getssotoken
          - service/groups
          - service/groups/users
          - service/identityProviders
          - service/issues
          - service/locations/networkstatus
          - service/loggers
          - service/networkstatus
          - service/notifications
          - service/notifications/recipientEmails
          - service/notifications/recipientUsers
          - service/openidConnectProviders
          - service/policies
          - service/policySnippets
          - service/portalsettings
          - service/products
          - service/products/apis
          - service/products/groups
          - service/products/policies
          - service/products/subscriptions
          - service/products/tags
          - service/productsByTags
          - service/properties
          - service/quotas
          - service/quotas/periods
          - service/regions
          - service/reports
          - service/restore
          - service/skus
          - service/subscriptions
          - service/subscriptions/regeneratePrimaryKey
          - service/subscriptions/regenerateSecondaryKey
          - service/tagResources
          - service/tags
          - service/templates
          - service/tenant
          - service/tenant/deploy
          - service/tenant/git
          - service/tenant/regeneratePrimaryKey
          - service/tenant/regenerateSecondaryKey
          - service/tenant/save
          - service/tenant/syncState
          - service/tenant/validate
          - service/updatecertificate
          - service/updatehostname
          - service/users
          - service/users/confirmations/send
          - service/users/generateSsoUrl
          - service/users/groups
          - service/users/identities
          - service/users/subscriptions
          - service/users/token
        '2018-01-01':
          - service/apis/diagnostics/loggers
          - service/diagnostics/loggers
          - service/identity
        '2017-03-01':
          - service/uploadcertificate
        '2016-10-10':
          - service/apis/operations/policy
          - service/apis/policy
          - service/managedeployments
          - service/products/policy
      microsoft.hdinsight:
        2018-06-01-preview:
          - clusters
          - clusters/applications
          - clusters/configurations
          - clusters/executeScriptActions
          - clusters/extensions
          - clusters/roles/resize
          - clusters/rotatediskencryptionkey
          - clusters/scriptActions
          - clusters/scriptExecutionHistory
          - clusters/scriptExecutionHistory/promote
          - locations/usages
          - operations
        2015-03-01-preview:
          - locations/capabilities
      microsoft.sql:
        2018-06-01-preview:
          - managedInstances/databases/currentSensitivityLabels
          - managedInstances/databases/recommendedSensitivityLabels
          - managedInstances/databases/schemas/tables/columns/sensitivityLabels
          - managedInstances/vulnerabilityAssessments
          - servers/databases/securityAlertPolicies
          - servers/vulnerabilityAssessments
        2017-10-01-preview:
          - locations/capabilities
          - locations/instanceFailoverGroups
          - locations/instanceFailoverGroups/failover
          - locations/instanceFailoverGroups/forceFailoverAllowDataLoss
          - managedInstances/databases/vulnerabilityAssessments
          - managedInstances/databases/vulnerabilityAssessments/rules/baselines
          - managedInstances/databases/vulnerabilityAssessments/scans
          - managedInstances/databases/vulnerabilityAssessments/scans/export
          - managedInstances/databases/vulnerabilityAssessments/scans/initiateScan
          - managedInstances/encryptionProtector
          - managedInstances/keys
          - managedInstances/recoverableDatabases
          - managedInstances/tdeCertificates
          - servers/databases
          - servers/databases/backupShortTermRetentionPolicies
          - servers/databases/move
          - servers/databases/operations
          - servers/databases/operations/cancel
          - servers/databases/pause
          - servers/databases/resume
          - servers/databases/upgradeDataWarehouse
          - servers/databases/vulnerabilityAssessments/scans
          - servers/databases/vulnerabilityAssessments/scans/export
          - servers/databases/vulnerabilityAssessments/scans/initiateScan
          - servers/elasticPools
          - servers/elasticPools/databases
          - servers/elasticPools/operations
          - servers/elasticPools/operations/cancel
          - servers/tdeCertificates
        2017-03-01-preview:
          - locations/longTermRetentionBackups
          - locations/longTermRetentionServers/longTermRetentionBackups
          - locations/longTermRetentionServers/longTermRetentionDatabases/longTermRetentionBackups
          - locations/managedDatabaseRestoreAzureAsyncOperation/completeRestore
          - managedInstances/databases
          - managedInstances/databases/backupShortTermRetentionPolicies
          - managedInstances/databases/securityAlertPolicies
          - managedInstances/restorableDroppedDatabases
          - managedInstances/restorableDroppedDatabases/backupShortTermRetentionPolicies
          - managedInstances/securityAlertPolicies
          - servers/auditingSettings
          - servers/automaticTuning
          - servers/databases/auditingSettings
          - servers/databases/backupLongTermRetentionPolicies
          - servers/databases/currentSensitivityLabels
          - servers/databases/dataWarehouseUserActivities
          - servers/databases/export
          - servers/databases/extendedAuditingSettings
          - servers/databases/recommendedSensitivityLabels
          - servers/databases/restorePoints
          - servers/databases/schemas/tables/columns/sensitivityLabels
          - servers/databases/vulnerabilityAssessments
          - servers/databases/vulnerabilityAssessments/rules/baselines
          - servers/dnsAliases
          - servers/dnsAliases/acquire
          - servers/extendedAuditingSettings
          - servers/jobAgents
          - servers/jobAgents/credentials
          - servers/jobAgents/executions
          - servers/jobAgents/jobs
          - servers/jobAgents/jobs/executions
          - servers/jobAgents/jobs/executions/cancel
          - servers/jobAgents/jobs/executions/steps
          - servers/jobAgents/jobs/executions/steps/targets
          - servers/jobAgents/jobs/executions/targets
          - servers/jobAgents/jobs/start
          - servers/jobAgents/jobs/steps
          - servers/jobAgents/jobs/versions
          - servers/jobAgents/jobs/versions/steps
          - servers/jobAgents/targetGroups
          - servers/securityAlertPolicies
        2015-05-01-preview:
          - locations/syncDatabaseIds
          - locations/usages
          - managedInstances
          - operations
          - servers
          - servers/advisors
          - servers/databases/advisors
          - servers/databases/advisors/recommendedActions
          - servers/databases/automaticTuning
          - servers/databases/syncGroups
          - servers/databases/syncGroups/cancelSync
          - servers/databases/syncGroups/hubSchemas
          - servers/databases/syncGroups/logs
          - servers/databases/syncGroups/refreshHubSchema
          - servers/databases/syncGroups/syncMembers
          - servers/databases/syncGroups/syncMembers/refreshSchema
          - servers/databases/syncGroups/syncMembers/schemas
          - servers/databases/syncGroups/triggerSync
          - servers/encryptionProtector
          - servers/failoverGroups
          - servers/failoverGroups/failover
          - servers/failoverGroups/forceFailoverAllowDataLoss
          - servers/firewallRules
          - servers/keys
          - servers/syncAgents
          - servers/syncAgents/generateKey
          - servers/syncAgents/linkedDatabases
          - servers/virtualNetworkRules
          - virtualClusters
        '2014-04-01':
          - checkNameAvailability
          - servers/administrators
          - servers/auditingPolicies
          - servers/backupLongTermRetentionVaults
          - servers/communicationLinks
          - servers/connectionPolicies
          - servers/databases/auditingPolicies
          - servers/databases/connectionPolicies
          - servers/databases/dataMaskingPolicies
          - servers/databases/dataMaskingPolicies/rules
          - servers/databases/extensions
          - servers/databases/geoBackupPolicies
          - servers/databases/metricDefinitions
          - servers/databases/metrics
          - servers/databases/replicationLinks
          - servers/databases/replicationLinks/failover
          - servers/databases/replicationLinks/forceFailoverAllowDataLoss
          - servers/databases/serviceTierAdvisors
          - servers/databases/topQueries
          - servers/databases/topQueries/queryText
          - servers/databases/topQueries/statistics
          - servers/databases/transparentDataEncryption
          - servers/databases/transparentDataEncryption/operationResults
          - servers/databases/usages
          - servers/disasterRecoveryConfiguration
          - servers/disasterRecoveryConfiguration/failover
          - servers/disasterRecoveryConfiguration/forceFailoverAllowDataLoss
          - servers/elasticPools/elasticPoolActivity
          - servers/elasticPools/elasticPoolDatabaseActivity
          - servers/elasticPools/metricDefinitions
          - servers/elasticPools/metrics
          - servers/import
          - servers/recommendedElasticPools
          - servers/recommendedElasticPools/databases
          - servers/recommendedElasticPools/metrics
          - servers/recoverableDatabases
          - servers/restorableDroppedDatabases
          - servers/serviceObjectives
          - servers/usages
      microsoft.solutions:
        '2018-06-01':
          - applicationDefinitions
          - applications
        2016-09-01-preview:
          - applianceDefinitions
          - appliances
          - operations
      microsoft.capacity:
        '2018-06-01':
          - appliedReservations
          - catalogs
          - operations
          - reservationOrders
          - reservationOrders/merge
          - reservationOrders/reservations
          - reservationOrders/reservations/revisions
          - reservationOrders/split
      microsoft.alertsmanagement:
        '2018-05-05':
          - alerts
          - alerts/changestate
          - alerts/history
          - alertsSummary
          - operations
          - smartGroups
          - smartGroups/changeState
          - smartGroups/history
      microsoft.resources:
        '2018-05-01':
          - deployments
          - deployments/cancel
          - deployments/exportTemplate
          - deployments/operations
          - deployments/validate
          - operations
        '2016-09-01':
          - links
      microsoft.maps:
        '2018-05-01':
          - accounts
          - accounts/listKeys
          - accounts/regenerateKey
          - operations
      microsoft.serialconsole:
        '2018-05-01':
          - consoleServices
          - consoleServices/disableConsole
          - consoleServices/enableConsole
          - operations
      microsoft.batchai:
        '2018-05-01':
          - locations/usages
          - operations
          - workspaces
          - workspaces/clusters
          - workspaces/clusters/listRemoteLoginInformation
          - workspaces/experiments
          - workspaces/experiments/jobs
          - workspaces/experiments/jobs/listOutputFiles
          - workspaces/experiments/jobs/listRemoteLoginInformation
          - workspaces/experiments/jobs/terminate
          - workspaces/fileServers
        '2018-03-01':
          - clusters
          - clusters/listRemoteLoginInformation
          - fileServers
          - jobs
          - jobs/listOutputFiles
          - jobs/listRemoteLoginInformation
          - jobs/terminate
      microsoft.databricks:
        '2018-04-01':
          - operations
          - workspaces
      microsoft.management:
        2018-03-01-preview:
          - checkNameAvailability
          - getEntities
          - managementGroups
          - managementGroups/subscriptions
          - operations
          - startTenantBackfill
          - tenantBackfillStatus
      microsoft.cache:
        '2018-03-01':
          - CheckNameAvailability
          - Redis
          - Redis/export
          - Redis/firewallRules
          - Redis/forceReboot
          - Redis/import
          - Redis/linkedServers
          - Redis/listKeys
          - Redis/listUpgradeNotifications
          - Redis/patchSchedules
          - Redis/regenerateKey
          - operations
      microsoft.machinelearningservices:
        2018-03-01-preview:
          - operations
          - workspaces
          - workspaces/computes
          - workspaces/computes/listKeys
          - workspaces/listKeys
          - workspaces/resyncKeys
      microsoft.addons:
        '2018-03-01':
          - operations
          - supportProviders/listSupportPlanInfo
          - supportProviders/supportPlanTypes
      microsoft.windowsiot:
        2018-02-16-preview:
          - checkDeviceServiceNameAvailability
          - deviceServices
          - operations
      microsoft.keyvault:
        '2018-02-14':
          - checkNameAvailability
          - deletedVaults
          - locations/deletedVaults
          - locations/deletedVaults/purge
          - operations
          - vaults
          - vaults/accessPolicies
      microsoft.migrate:
        '2018-02-02':
          - locations/assessmentOptions
          - locations/checkNameAvailability
          - operations
          - projects
          - projects/assessments
          - projects/groups
          - projects/groups/assessments
          - projects/groups/assessments/assessedMachines
          - projects/groups/assessments/downloadUrl
          - projects/keys
          - projects/machines
      microsoft.servicefabric:
        '2018-02-01':
          - clusters
          - locations/clusterVersions
          - locations/environments/clusterVersions
          - operations
        2017-07-01-preview:
          - clusters/applicationTypes
          - clusters/applicationTypes/versions
          - clusters/applications
          - clusters/applications/services
      microsoft.managementpartner:
        '2018-02-01':
          - operations
          - partners
      microsoft.domainregistration:
        '2018-02-01':
          - checkDomainAvailability
          - domains
          - domains/domainOwnershipIdentifiers
          - domains/renew
          - generateSsoRequest
          - listDomainRecommendations
          - operations
          - topLevelDomains
          - topLevelDomains/listAgreements
        '2015-08-01':
          - domains/operationresults
          - validateDomainRegistrationInformation
      microsoft.certificateregistration:
        '2018-02-01':
          - certificateOrders
          - certificateOrders/certificates
          - certificateOrders/reissue
          - certificateOrders/renew
          - certificateOrders/resendEmail
          - certificateOrders/resendRequestEmails
          - certificateOrders/retrieveCertificateActions
          - certificateOrders/retrieveEmailHistory
          - certificateOrders/retrieveSiteSeal
          - certificateOrders/verifyDomainOwnership
          - operations
          - validateCertificateRegistrationInformation
      microsoft.eventhub:
        2018-01-01-preview:
          - clusters
          - clusters/quotaConfiguration
          - namespaces
          - namespaces/ipfilterrules
          - namespaces/networkRuleSets
          - namespaces/virtualnetworkrules
          - operations
        '2017-04-01':
          - CheckNameAvailability
          - namespaces/AuthorizationRules
          - namespaces/AuthorizationRules/listKeys
          - namespaces/AuthorizationRules/regenerateKeys
          - namespaces/disasterRecoveryConfigs
          - namespaces/disasterRecoveryConfigs/AuthorizationRules
          - namespaces/disasterRecoveryConfigs/AuthorizationRules/listKeys
          - namespaces/disasterRecoveryConfigs/breakPairing
          - namespaces/disasterRecoveryConfigs/failover
          - namespaces/eventhubs
          - namespaces/eventhubs/authorizationRules
          - namespaces/eventhubs/authorizationRules/ListKeys
          - namespaces/eventhubs/authorizationRules/regenerateKeys
          - namespaces/eventhubs/consumergroups
          - namespaces/messagingplan
          - sku/regions
        '2014-09-01':
          - CheckNamespaceAvailability
      microsoft.databox:
        '2018-01-01':
          - jobs
          - jobs/bookShipmentPickUp
          - jobs/cancel
          - jobs/listCredentials
          - locations/availableSkus
          - locations/validateAddress
          - operations
      microsoft.servicebus:
        2018-01-01-preview:
          - namespaces
          - namespaces/ipfilterrules
          - namespaces/networkrulesets
          - namespaces/virtualnetworkrules
          - operations
        '2017-04-01':
          - CheckNameAvailability
          - namespaces/AuthorizationRules
          - namespaces/AuthorizationRules/listKeys
          - namespaces/AuthorizationRules/regenerateKeys
          - namespaces/disasterRecoveryConfigs
          - namespaces/disasterRecoveryConfigs/AuthorizationRules
          - namespaces/disasterRecoveryConfigs/AuthorizationRules/listKeys
          - namespaces/disasterRecoveryConfigs/breakPairing
          - namespaces/disasterRecoveryConfigs/failover
          - namespaces/eventhubs
          - namespaces/migrate
          - namespaces/migrationConfigurations
          - namespaces/migrationConfigurations/revert
          - namespaces/migrationConfigurations/upgrade
          - namespaces/queues
          - namespaces/queues/authorizationRules
          - namespaces/queues/authorizationRules/ListKeys
          - namespaces/queues/authorizationRules/regenerateKeys
          - namespaces/topics
          - namespaces/topics/authorizationRules
          - namespaces/topics/authorizationRules/ListKeys
          - namespaces/topics/authorizationRules/regenerateKeys
          - namespaces/topics/subscriptions
          - namespaces/topics/subscriptions/rules
          - premiumMessagingRegions
          - sku/regions
      microsoft.dbformysql:
        '2017-12-01':
          - servers/configurations
          - servers/replicas
          - servers/restart
          - servers/securityAlertPolicies
          - servers/virtualNetworkRules
        2017-12-01-preview:
          - checkNameAvailability
          - locations/performanceTiers
          - operations
          - servers
          - servers/databases
          - servers/firewallRules
          - servers/logFiles
      microsoft.dbforpostgresql:
        2017-12-01-preview:
          - checkNameAvailability
          - locations/performanceTiers
          - operations
          - servers
          - servers/Replicas
          - servers/configurations
          - servers/databases
          - servers/firewallRules
          - servers/logFiles
        '2017-12-01':
          - servers/restart
          - servers/securityAlertPolicies
          - servers/virtualNetworkRules
      microsoft.hanaonazure:
        2017-11-03-preview:
          - hanaInstances
          - hanaInstances/monitoring
          - hanaInstances/restart
          - operations
      microsoft.cdn:
        '2017-10-12':
          - checkNameAvailability
          - checkResourceUsage
          - edgenodes
          - operations
          - profiles
          - profiles/checkResourceUsage
          - profiles/endpoints
          - profiles/endpoints/checkResourceUsage
          - profiles/endpoints/customDomains
          - profiles/endpoints/customDomains/disableCustomHttps
          - profiles/endpoints/customDomains/enableCustomHttps
          - profiles/endpoints/load
          - profiles/endpoints/origins
          - profiles/endpoints/purge
          - profiles/endpoints/start
          - profiles/endpoints/stop
          - profiles/endpoints/validateCustomDomain
          - profiles/generateSsoUri
          - profiles/getSupportedOptimizationTypes
          - validateProbe
      microsoft.operationalinsights:
        '2017-10-01':
          - workspaces/query
        2015-11-01-preview:
          - operations
          - workspaces
          - workspaces/dataSources
          - workspaces/features/clientGroups
          - workspaces/features/clientGroups/members
          - workspaces/features/clientGroups/membersCount
          - workspaces/features/generateMap
          - workspaces/features/machineGroups
          - workspaces/features/machines
          - workspaces/features/machines/connections
          - workspaces/features/machines/liveness
          - workspaces/features/machines/machineGroups
          - workspaces/features/machines/ports
          - workspaces/features/machines/ports/acceptingProcesses
          - workspaces/features/machines/ports/connections
          - workspaces/features/machines/ports/liveness
          - workspaces/features/machines/processes
          - workspaces/features/machines/processes/acceptingPorts
          - workspaces/features/machines/processes/connections
          - workspaces/features/machines/processes/liveness
          - workspaces/features/summaries
          - workspaces/intelligencePacks
          - workspaces/intelligencePacks/Disable
          - workspaces/intelligencePacks/Enable
          - workspaces/linkedServices
          - workspaces/managementGroups
          - workspaces/sharedKeys
          - workspaces/usages
        '2015-03-20':
          - linkTargets
          - workspaces/gateways
          - workspaces/listKeys
          - workspaces/operations
          - workspaces/purge
          - workspaces/regenerateSharedKey
          - workspaces/savedSearches
          - workspaces/savedSearches/results
          - workspaces/schema
          - workspaces/search
          - workspaces/storageInsightConfigs
      microsoft.iotspaces:
        2017-10-01-preview:
          - Graph
          - checkNameAvailability
          - operations
      microsoft.powerbidedicated:
        '2017-10-01':
          - capacities
          - capacities/resume
          - capacities/skus
          - capacities/suspend
          - locations/checkNameAvailability
          - operations
          - skus
      microsoft.netapp:
        '2017-08-15':
          - netAppAccounts
          - netAppAccounts/capacityPools
          - netAppAccounts/capacityPools/volumes
          - netAppAccounts/capacityPools/volumes/mountTargets
          - netAppAccounts/capacityPools/volumes/snapshots
          - operations
      microsoft.analysisservices:
        2017-08-01-beta:
          - locations/checkNameAvailability
          - locations/operationresults
          - locations/operationstatuses
          - servers
          - servers/dissociateGateway
          - servers/listGatewayStatus
          - servers/resume
          - servers/skus
          - servers/suspend
          - skus
        '2017-08-01':
          - operations
      microsoft.machinelearningcompute:
        2017-08-01-preview:
          - operationalizationClusters
          - operationalizationClusters/checkSystemServicesUpdatesAvailable
          - operationalizationClusters/listKeys
          - operationalizationClusters/updateSystemServices
          - operations
        2017-06-01-preview:
          - operationalizationClusters/checkUpdate
          - operationalizationClusters/updateSystem
      microsoft.resourcehealth:
        '2017-07-01':
          - availabilityStatuses
          - childAvailabilityStatuses
          - childResources
          - operations
      microsoft.aad:
        '2017-06-01':
          - domainServices
          - operations
      microsoft.storsimple:
        '2017-06-01':
          - managers
          - managers/accessControlRecords
          - managers/alerts
          - managers/bandwidthSettings
          - managers/clearAlerts
          - managers/cloudApplianceConfigurations
          - managers/configureDevice
          - managers/devices
          - managers/devices/alertSettings
          - managers/devices/authorizeForServiceEncryptionKeyRollover
          - managers/devices/backupPolicies
          - managers/devices/backupPolicies/backup
          - managers/devices/backupPolicies/schedules
          - managers/devices/backups
          - managers/devices/backups/elements/clone
          - managers/devices/backups/restore
          - managers/devices/deactivate
          - managers/devices/failover
          - managers/devices/hardwareComponentGroups
          - managers/devices/hardwareComponentGroups/changeControllerPowerState
          - managers/devices/installUpdates
          - managers/devices/jobs
          - managers/devices/jobs/cancel
          - managers/devices/listFailoverSets
          - managers/devices/listFailoverTargets
          - managers/devices/metrics
          - managers/devices/metricsDefinitions
          - managers/devices/networkSettings
          - managers/devices/publicEncryptionKey
          - managers/devices/scanForUpdates
          - managers/devices/securitySettings
          - managers/devices/securitySettings/syncRemoteManagementCertificate
          - managers/devices/sendTestAlertEmail
          - managers/devices/timeSettings
          - managers/devices/updateSummary
          - managers/devices/volumeContainers
          - managers/devices/volumeContainers/metrics
          - managers/devices/volumeContainers/metricsDefinitions
          - managers/devices/volumeContainers/volumes
          - managers/devices/volumeContainers/volumes/metrics
          - managers/devices/volumeContainers/volumes/metricsDefinitions
          - managers/devices/volumes
          - managers/encryptionSettings
          - managers/extendedInformation
          - managers/features
          - managers/jobs
          - managers/listActivationKey
          - managers/listPublicEncryptionKey
          - managers/metrics
          - managers/metricsDefinitions
          - managers/provisionCloudAppliance
          - managers/regenerateActivationKey
          - managers/storageAccountCredentials
          - operations
        '2016-10-01':
          - managers/backups
          - managers/certificates
          - managers/devices/backupScheduleGroups
          - managers/devices/chapSettings
          - managers/devices/disks
          - managers/devices/download
          - managers/devices/failoverTargets
          - managers/devices/fileservers
          - managers/devices/fileservers/backup
          - managers/devices/fileservers/metrics
          - managers/devices/fileservers/metricsDefinitions
          - managers/devices/fileservers/shares
          - managers/devices/fileservers/shares/metrics
          - managers/devices/fileservers/shares/metricsDefinitions
          - managers/devices/install
          - managers/devices/iscsiservers
          - managers/devices/iscsiservers/backup
          - managers/devices/iscsiservers/disks
          - managers/devices/iscsiservers/disks/metrics
          - managers/devices/iscsiservers/disks/metricsDefinitions
          - managers/devices/iscsiservers/metrics
          - managers/devices/iscsiservers/metricsDefinitions
          - managers/devices/securitySettings/update
          - managers/devices/shares
          - managers/fileservers
          - managers/getEncryptionKey
          - managers/iscsiservers
          - managers/storageDomains
      microsoft.azurestack:
        '2017-06-01':
          - operations
          - registrations
          - registrations/customerSubscriptions
          - registrations/getactivationkey
          - registrations/products
          - registrations/products/listDetails
      microsoft.machinelearningexperimentation:
        2017-05-01-preview:
          - accounts
          - accounts/workspaces
          - accounts/workspaces/projects
          - operations
      microsoft.customerinsights:
        '2017-04-26':
          - hubs
          - hubs/authorizationPolicies
          - hubs/authorizationPolicies/regeneratePrimaryKey
          - hubs/authorizationPolicies/regenerateSecondaryKey
          - hubs/connectors
          - hubs/connectors/mappings
          - hubs/images
          - hubs/interactions
          - hubs/interactions/suggestRelationshipLinks
          - hubs/kpi
          - hubs/kpi/reprocess
          - hubs/links
          - hubs/predictions
          - hubs/predictions/getModelStatus
          - hubs/predictions/getTrainingResults
          - hubs/predictions/modelStatus
          - hubs/profiles
          - hubs/profiles/getEnrichingKpis
          - hubs/relationshipLinks
          - hubs/relationships
          - hubs/roleAssignments
          - hubs/roles
          - hubs/views
          - hubs/widgetTypes
          - operations
      microsoft.advisor:
        '2017-04-19':
          - configurations
          - generateRecommendations
          - operations
          - recommendations
          - recommendations/suppressions
          - suppressions
      microsoft.cognitiveservices:
        '2017-04-18':
          - accounts
          - accounts/listKeys
          - accounts/regenerateKey
          - accounts/skus
          - accounts/usages
          - locations/checkSkuAvailability
          - operations
          - skus
      microsoft.notificationhubs:
        '2017-04-01':
          - checkNamespaceAvailability
          - namespaces
          - namespaces/AuthorizationRules
          - namespaces/AuthorizationRules/listKeys
          - namespaces/AuthorizationRules/regenerateKeys
          - namespaces/checkNotificationHubAvailability
          - namespaces/notificationHubs
          - namespaces/notificationHubs/AuthorizationRules
          - namespaces/notificationHubs/AuthorizationRules/listKeys
          - namespaces/notificationHubs/AuthorizationRules/regenerateKeys
          - namespaces/notificationHubs/debugsend
          - namespaces/notificationHubs/pnsCredentials
          - operations
      microsoft.relay:
        '2017-04-01':
          - checkNameAvailability
          - namespaces
          - namespaces/authorizationRules
          - namespaces/authorizationRules/listKeys
          - namespaces/authorizationRules/regenerateKeys
          - namespaces/hybridConnections
          - namespaces/hybridConnections/authorizationRules
          - namespaces/hybridConnections/authorizationRules/listKeys
          - namespaces/hybridConnections/authorizationRules/regenerateKeys
          - namespaces/wcfRelays
          - namespaces/wcfRelays/authorizationRules
          - namespaces/wcfRelays/authorizationRules/listKeys
          - namespaces/wcfRelays/authorizationRules/regenerateKeys
          - operations
      microsoft.sqlvirtualmachine:
        2017-03-01-preview:
          - operations
          - sqlVirtualMachineGroups
          - sqlVirtualMachineGroups/availabilityGroupListeners
          - sqlVirtualMachines
      microsoft.machinelearning:
        '2017-01-01':
          - operations
          - webServices
          - webServices/CreateRegionalBlob
          - webServices/listKeys
        2016-05-01-preview:
          - commitmentPlans
          - commitmentPlans/commitmentAssociations
          - commitmentPlans/commitmentAssociations/move
          - commitmentPlans/usageHistory
          - skus
        '2016-04-01':
          - workspaces
          - workspaces/listWorkspaceKeys
          - workspaces/resyncStorageKeys
      microsoft.datalakeanalytics:
        '2016-11-01':
          - accounts
          - accounts/computePolicies
          - accounts/dataLakeStoreAccounts
          - accounts/firewallRules
          - accounts/storageAccounts
          - accounts/storageAccounts/containers
          - accounts/storageAccounts/containers/listSasTokens
          - locations/capability
          - locations/checkNameAvailability
          - operations
      microsoft.importexport:
        '2016-11-01':
          - jobs
          - jobs/listBitLockerKeys
          - locations
          - operations
      microsoft.datalakestore:
        '2016-11-01':
          - accounts
          - accounts/enableKeyVault
          - accounts/firewallRules
          - accounts/trustedIdProviders
          - accounts/virtualNetworkRules
          - locations/capability
          - locations/checkNameAvailability
          - operations
      microsoft.datacatalog:
        '2016-03-30':
          - catalogs
          - operations
      microsoft.streamanalytics:
        '2016-03-01':
          - locations/quotas
          - operations
          - streamingjobs
          - streamingjobs/functions
          - streamingjobs/functions/RetrieveDefaultDefinition
          - streamingjobs/functions/test
          - streamingjobs/inputs
          - streamingjobs/inputs/test
          - streamingjobs/outputs
          - streamingjobs/outputs/test
          - streamingjobs/start
          - streamingjobs/stop
          - streamingjobs/transformations
      microsoft.scheduler:
        '2016-03-01':
          - jobCollections
          - jobCollections/disable
          - jobCollections/enable
          - jobCollections/jobs
          - jobCollections/jobs/history
          - jobCollections/jobs/run
      microsoft.powerbi:
        '2016-01-29':
          - locations/checkNameAvailability
          - operations
          - workspaceCollections
          - workspaceCollections/listKeys
          - workspaceCollections/regenerateKey
          - workspaceCollections/workspaces
      microsoft.features:
        '2015-12-01':
          - features
          - operations
          - providers/features
          - providers/features/register
      microsoft.operationsmanagement:
        2015-11-01-preview:
          - ManagementAssociations
          - ManagementConfigurations
          - operations
          - solutions
      microsoft.search:
        '2015-08-19':
          - checkNameAvailability
          - operations
          - searchServices
          - searchServices/createQueryKey
          - searchServices/deleteQueryKey
          - searchServices/listAdminKeys
          - searchServices/listQueryKeys
          - searchServices/regenerateAdminKey
      microsoft.marketplaceordering:
        '2015-06-01':
          - agreements
          - agreements/offers/plans
          - agreements/offers/plans/cancel
          - agreements/offers/plans/sign
          - offerTypes/publishers/offers/plans/agreements
          - operations
      microsoft.commerce:
        2015-06-01-preview:
          - RateCard
          - UsageAggregates
      microsoft.documentdb:
        '2015-04-08':
          - databaseAccountNames
          - databaseAccounts
          - databaseAccounts/databases/collections/metricDefinitions
          - databaseAccounts/databases/collections/metrics
          - databaseAccounts/databases/collections/partitionKeyRangeId/metrics
          - databaseAccounts/databases/collections/partitions
          - databaseAccounts/databases/collections/usages
          - databaseAccounts/databases/metricDefinitions
          - databaseAccounts/databases/metrics
          - databaseAccounts/databases/usages
          - databaseAccounts/failoverPriorityChange
          - databaseAccounts/listConnectionStrings
          - databaseAccounts/listKeys
          - databaseAccounts/metricDefinitions
          - databaseAccounts/metrics
          - databaseAccounts/offlineRegion
          - databaseAccounts/onlineRegion
          - databaseAccounts/percentile
          - databaseAccounts/readonlykeys
          - databaseAccounts/regenerateKey
          - databaseAccounts/region/databases/collections/metrics
          - databaseAccounts/region/databases/collections/partitionKeyRangeId/metrics
          - databaseAccounts/region/databases/collections/partitions
          - databaseAccounts/region/metrics
          - databaseAccounts/sourceRegion/targetRegion/percentile
          - databaseAccounts/targetRegion/percentile
          - databaseAccounts/usages
          - operations
      microsoft.intune:
        2015-01-14-preview:
          - locations/apps
        2015-01-14-privatepreview:
          - locations
          - locations/androidPolicies
          - locations/androidPolicies/apps
          - locations/androidPolicies/groups
          - locations/flaggedUsers
          - locations/flaggedUsers/flaggedEnrolledApps
          - locations/iosPolicies
          - locations/iosPolicies/apps
          - locations/iosPolicies/groups
          - locations/operationResults
          - locations/statuses
          - locations/users/devices
          - locations/users/devices/wipe
      microsoft.visualstudio:
        2014-04-01-preview:
          - account
          - account/extension
          - account/project
          - account/project/subContainers/status
          - checkNameAvailability
          - operations
      microsoft.adhybridhealthservice:
        '2014-01-01':
          - addsservices
          - addsservices/addomainservicemembers
          - addsservices/addsservicemembers
          - addsservices/alerts
          - addsservices/configuration
          - addsservices/dimensions
          - addsservices/features/userpreference
          - addsservices/forestsummary
          - addsservices/metricmetadata
          - addsservices/metricmetadata/groups
          - addsservices/metrics/groups
          - addsservices/metrics/groups/average
          - addsservices/metrics/groups/sum
          - addsservices/replicationdetails
          - addsservices/replicationstatus
          - addsservices/replicationsummary
          - addsservices/servicemembers
          - addsservices/servicemembers/alerts
          - addsservices/servicemembers/credentials
          - configuration
          - operations
          - reports/IsDevOps
          - service/servicemembers/connectors
          - services
          - services/TenantWhitelisting
          - services/alerts
          - services/checkServiceFeatureAvailibility
          - services/exporterrors
          - services/exportstatus
          - services/feedbacktype/alertfeedback
          - services/feedbacktype/feedback
          - services/metricmetadata
          - services/metricmetadata/groups
          - services/metrics/groups
          - services/metrics/groups/average
          - services/metrics/groups/sum
          - services/monitoringconfiguration
          - services/monitoringconfigurations
          - services/reports/blobUris
          - services/reports/details
          - services/reports/generateBlobUri
          - services/servicemembers
          - services/servicemembers/alerts
          - services/servicemembers/credentials
          - services/servicemembers/data
          - services/servicemembers/datafreshness
          - services/servicemembers/exportstatus
          - services/servicemembers/globalconfiguration
          - services/servicemembers/metrics
          - services/servicemembers/metrics/groups
          - services/servicemembers/serviceconfiguration
    operations:
      /policies: '2017-03-01'
      '/policies/{policyId}': '2017-03-01'
      /policySnippets: '2017-03-01'
      /regions: '2017-03-01'
      /apis: '2017-03-01'
      '/apis/{apiId}': '2017-03-01'
      '/apis/{apiId}/operations': '2017-03-01'
      '/apis/{apiId}/operations/{operationId}': '2017-03-01'
      '/apis/{apiId}/operations/{operationId}/policies': '2017-03-01'
      '/apis/{apiId}/operations/{operationId}/policies/{policyId}': '2017-03-01'
      '/apis/{apiId}/products': '2017-03-01'
      '/apis/{apiId}/policies': '2017-03-01'
      '/apis/{apiId}/policies/{policyId}': '2017-03-01'
      '/apis/{apiId}/schemas': '2017-03-01'
      '/apis/{apiId}/schemas/{schemaId}': '2017-03-01'
      /authorizationServers: '2017-03-01'
      '/authorizationServers/{authsid}': '2017-03-01'
      /backends: '2017-03-01'
      '/backends/{backendid}': '2017-03-01'
      /certificates: 2018-12-01.8.0
      '/certificates/{certificateId}': '2017-03-01'
      /templates: '2017-03-01'
      '/templates/{templateName}': '2017-03-01'
      /groups: '2017-03-01'
      '/groups/{groupId}': '2017-03-01'
      '/groups/{groupId}/users': '2017-03-01'
      '/groups/{groupId}/users/{uid}': '2017-03-01'
      /identityProviders: '2017-03-01'
      '/identityProviders/{identityProviderName}': '2017-03-01'
      /loggers: '2017-03-01'
      '/loggers/{loggerid}': '2017-03-01'
      /openidConnectProviders: '2017-03-01'
      '/openidConnectProviders/{opid}': '2017-03-01'
      /portalsettings/signin: '2017-03-01'
      /portalsettings/signup: '2017-03-01'
      /portalsettings/delegation: '2017-03-01'
      /products: '2017-03-01'
      '/products/{productId}': '2017-03-01'
      '/products/{productId}/apis': '2017-03-01'
      '/products/{productId}/apis/{apiId}': '2017-03-01'
      '/products/{productId}/groups': '2017-03-01'
      '/products/{productId}/groups/{groupId}': '2017-03-01'
      '/products/{productId}/subscriptions': '2017-03-01'
      '/products/{productId}/policies': '2017-03-01'
      '/products/{productId}/policies/{policyId}': '2017-03-01'
      /properties: '2017-03-01'
      '/properties/{propId}': '2017-03-01'
      '/quotas/{quotaCounterKey}': '2017-03-01'
      '/quotas/{quotaCounterKey}/{quotaPeriodKey}': '2017-03-01'
      /reports/byApi: '2017-03-01'
      /reports/byUser: '2017-03-01'
      /reports/byOperation: '2017-03-01'
      /reports/byProduct: '2017-03-01'
      /reports/byGeo: '2017-03-01'
      /reports/bySubscription: '2017-03-01'
      /reports/byTime: '2017-03-01'
      /reports/byRequest: '2017-03-01'
      /subscriptions: '2017-03-01'
      '/subscriptions/{sid}': '2017-03-01'
      '/subscriptions/{sid}/regeneratePrimaryKey': '2017-03-01'
      '/subscriptions/{sid}/regenerateSecondaryKey': '2017-03-01'
      '/tenant/{accessName}': '2017-03-01'
      '/tenant/{accessName}/regeneratePrimaryKey': '2017-03-01'
      '/tenant/{accessName}/regenerateSecondaryKey': '2017-03-01'
      '/tenant/{accessName}/git': '2017-03-01'
      '/tenant/{accessName}/git/regeneratePrimaryKey': '2017-03-01'
      '/tenant/{accessName}/git/regenerateSecondaryKey': '2017-03-01'
      '/tenant/{configurationName}/deploy': '2017-03-01'
      '/tenant/{configurationName}/save': '2017-03-01'
      '/tenant/{configurationName}/validate': '2017-03-01'
      '/tenant/{configurationName}/syncState': '2017-03-01'
      /users: '2017-03-01'
      '/users/{uid}': '2017-03-01'
      '/users/{uid}/generateSsoUrl': '2017-03-01'
      '/users/{uid}/groups': '2017-03-01'
      '/users/{uid}/subscriptions': '2017-03-01'
      '/users/{uid}/identities': '2017-03-01'
      '/users/{uid}/token': '2017-03-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/api-version-sets': 2018-06-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/api-version-sets/{versionSetId}': 2018-06-01-preview
      '/apps/{appId}/metrics/{metricId}': v1
      '/apps/{appId}/metrics': v1
      '/apps/{appId}/metrics/metadata': v1
      '/apps/{appId}/events/{eventType}': v1
      '/apps/{appId}/events/{eventType}/{eventId}': v1
      '/apps/{appId}/events/$metadata': v1
      '/apps/{appId}/query': v1
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Insights/components/{applicationName}/events/$metadata': '2018-04-20'
      '/{roleAssignmentId}': 2017-10-01-preview
      '/{roleDefinitionId}': '2015-07-01'
      '/{roleId}': 2018-09-01-preview
      '/{denyAssignmentId}': 2018-07-01-preview
      '/subscriptions/{subscriptionId}': '2016-06-01'
      '/delegatedProviders/{delegatedProviderId}/offers': '2015-11-01'
      '/delegatedProviders/{delegatedProviderId}/offers/{offerName}': '2015-11-01'
      /offers: '2015-11-01'
      /applications: 2018-12-01.8.0
      '/applications/{applicationId}': 2018-12-01.8.0
      /poolusagemetrics: 2018-12-01.8.0
      /nodeagentskus: 2018-12-01.8.0
      /nodecounts: 2018-12-01.8.0
      /lifetimepoolstats: 2018-12-01.8.0
      /lifetimejobstats: 2018-12-01.8.0
      '/certificates(thumbprintAlgorithm={thumbprintAlgorithm},thumbprint={thumbprint})/canceldelete': 2018-12-01.8.0
      '/certificates(thumbprintAlgorithm={thumbprintAlgorithm},thumbprint={thumbprint})': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}/files/{filePath}': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/files/{filePath}': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}/files': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/files': 2018-12-01.8.0
      '/jobschedules/{jobScheduleId}': 2018-12-01.8.0
      '/jobschedules/{jobScheduleId}/disable': 2018-12-01.8.0
      '/jobschedules/{jobScheduleId}/enable': 2018-12-01.8.0
      '/jobschedules/{jobScheduleId}/terminate': 2018-12-01.8.0
      /jobschedules: 2018-12-01.8.0
      '/jobs/{jobId}': 2018-12-01.8.0
      '/jobs/{jobId}/disable': 2018-12-01.8.0
      '/jobs/{jobId}/enable': 2018-12-01.8.0
      '/jobs/{jobId}/terminate': 2018-12-01.8.0
      /jobs: 2018-12-01.8.0
      '/jobschedules/{jobScheduleId}/jobs': 2018-12-01.8.0
      '/jobs/{jobId}/jobpreparationandreleasetaskstatus': 2018-12-01.8.0
      '/jobs/{jobId}/taskcounts': 2018-12-01.8.0
      /pools: 2018-12-01.8.0
      '/pools/{poolId}': 2018-12-01.8.0
      '/pools/{poolId}/disableautoscale': 2018-12-01.8.0
      '/pools/{poolId}/enableautoscale': 2018-12-01.8.0
      '/pools/{poolId}/evaluateautoscale': 2018-12-01.8.0
      '/pools/{poolId}/resize': 2018-12-01.8.0
      '/pools/{poolId}/stopresize': 2018-12-01.8.0
      '/pools/{poolId}/updateproperties': 2018-12-01.8.0
      '/pools/{poolId}/removenodes': 2018-12-01.8.0
      '/jobs/{jobId}/tasks': 2018-12-01.8.0
      '/jobs/{jobId}/addtaskcollection': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}/subtasksinfo': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}/terminate': 2018-12-01.8.0
      '/jobs/{jobId}/tasks/{taskId}/reactivate': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/users': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/users/{userName}': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/reboot': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/reimage': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/disablescheduling': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/enablescheduling': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/remoteloginsettings': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/rdp': 2018-12-01.8.0
      '/pools/{poolId}/nodes/{nodeId}/uploadbatchservicelogs': 2018-12-01.8.0
      '/pools/{poolId}/nodes': 2018-12-01.8.0
      '/pools/{poolId}/upgradeos': 2018-08-01.7.0
      '/jobs/{jobId}/tasks/{taskId}/files/{fileName}': 2016-07-01.3.1
      '/pools/{poolId}/nodes/{nodeId}/files/{fileName}': 2016-07-01.3.1
      /timeseries/entire/detect: '1.0'
      /timeseries/last/detect: '1.0'
      /Suggestions: '1.0'
      /analyze: '2.0'
      /describe: '2.0'
      /detect: '2.0'
      /models: '2.0'
      '/models/{model}/analyze': '2.0'
      /ocr: '2.0'
      /tag: '2.0'
      /generateThumbnail: '2.0'
      /areaOfInterest: '2.0'
      /recognizeText: '2.0'
      '/textOperations/{operationId}': '2.0'
      /read/core/asyncBatchAnalyze: '2.0'
      '/read/operations/{operationId}': '2.0'
      /contentmoderator/moderate/v1.0/ProcessImage/FindFaces: '1.0'
      /contentmoderator/moderate/v1.0/ProcessImage/OCR: '1.0'
      /contentmoderator/moderate/v1.0/ProcessImage/Evaluate: '1.0'
      /contentmoderator/moderate/v1.0/ProcessImage/Match: '1.0'
      /contentmoderator/moderate/v1.0/ProcessText/Screen/: '1.0'
      /contentmoderator/moderate/v1.0/ProcessText/DetectLanguage: '1.0'
      '/contentmoderator/lists/v1.0/imagelists/{listId}': '1.0'
      /contentmoderator/lists/v1.0/imagelists: '1.0'
      '/contentmoderator/lists/v1.0/imagelists/{listId}/RefreshIndex': '1.0'
      '/contentmoderator/lists/v1.0/termlists/{listId}': '1.0'
      /contentmoderator/lists/v1.0/termlists: '1.0'
      '/contentmoderator/lists/v1.0/termlists/{listId}/RefreshIndex': '1.0'
      '/contentmoderator/lists/v1.0/imagelists/{listId}/images': '1.0'
      '/contentmoderator/lists/v1.0/imagelists/{listId}/images/{ImageId}': '1.0'
      '/contentmoderator/lists/v1.0/termlists/{listId}/terms/{term}': '1.0'
      '/contentmoderator/lists/v1.0/termlists/{listId}/terms': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews/{reviewId}': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/jobs/{JobId}': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/jobs': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews/{reviewId}/frames': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews/{reviewId}/publish': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews/{reviewId}/transcriptmoderationresult': '1.0'
      '/contentmoderator/review/v1.0/teams/{teamName}/reviews/{reviewId}/transcript': '1.0'
      /images/search: '1.0'
      '/{projectId}/url': '2.0'
      '/{projectId}/image': '2.0'
      '/{projectId}/url/nostore': '2.0'
      '/{projectId}/image/nostore': '2.0'
      /domains: '2.2'
      '/domains/{domainId}': '2.2'
      '/projects/{projectId}/images/tagged': '2.2'
      '/projects/{projectId}/images/untagged': '2.2'
      '/projects/{projectId}/images/tagged/count': '2.2'
      '/projects/{projectId}/images/untagged/count': '2.2'
      '/projects/{projectId}/images/id': '2.2'
      '/projects/{projectId}/images': '2.2'
      '/projects/{projectId}/images/files': '2.2'
      '/projects/{projectId}/images/urls': '2.2'
      '/projects/{projectId}/images/predictions': '2.2'
      '/projects/{projectId}/images/tags': '2.2'
      '/projects/{projectId}/images/regions': '2.2'
      '/{projectId}/images/{imageId}/regionproposals': '2.2'
      '/projects/{projectId}/predictions': '2.2'
      '/projects/{projectId}/predictions/query': '2.2'
      '/projects/{projectId}/quicktest/url': '2.2'
      '/projects/{projectId}/quicktest/image': '2.2'
      '/projects/{projectId}/train': '2.2'
      /projects: '2.2'
      '/projects/{projectId}': '2.2'
      '/projects/{projectId}/iterations': '2.2'
      '/projects/{projectId}/iterations/{iterationId}': '2.2'
      '/projects/{projectId}/iterations/{iterationId}/performance': '2.2'
      '/projects/{projectId}/iterations/{iterationId}/performance/images': '2.2'
      '/projects/{projectId}/iterations/{iterationId}/performance/images/count': '2.2'
      '/projects/{projectId}/iterations/{iterationId}/export': '2.2'
      '/projects/{projectId}/tags/{tagId}': '2.2'
      '/projects/{projectId}/tags': '2.2'
      /search: '1.0'
      /entities: v2.1
      /findsimilars: '1.0'
      /group: '1.0'
      /identify: '1.0'
      /verify: '1.0'
      '/persongroups/{personGroupId}/persons': '1.0'
      '/persongroups/{personGroupId}/persons/{personId}': '1.0'
      '/persongroups/{personGroupId}/persons/{personId}/persistedfaces/{persistedFaceId}': '1.0'
      '/persongroups/{personGroupId}': '1.0'
      '/persongroups/{personGroupId}/training': '1.0'
      /persongroups: '1.0'
      '/persongroups/{personGroupId}/train': '1.0'
      '/facelists/{faceListId}': '1.0'
      /facelists: '1.0'
      '/facelists/{faceListId}/persistedfaces/{persistedFaceId}': '1.0'
      '/persongroups/{personGroupId}/persons/{personId}/persistedfaces': '1.0'
      '/facelists/{faceListId}/persistedfaces': '1.0'
      '/largepersongroups/{largePersonGroupId}/persons': '1.0'
      '/largepersongroups/{largePersonGroupId}/persons/{personId}': '1.0'
      '/largepersongroups/{largePersonGroupId}/persons/{personId}/persistedfaces/{persistedFaceId}': '1.0'
      '/largepersongroups/{largePersonGroupId}': '1.0'
      '/largepersongroups/{largePersonGroupId}/training': '1.0'
      /largepersongroups: '1.0'
      '/largepersongroups/{largePersonGroupId}/train': '1.0'
      '/largepersongroups/{largePersonGroupId}/persons/{personId}/persistedfaces': '1.0'
      '/largefacelists/{largeFaceListId}': '1.0'
      '/largefacelists/{largeFaceListId}/training': '1.0'
      /largefacelists: '1.0'
      '/largefacelists/{largeFaceListId}/train': '1.0'
      '/largefacelists/{largeFaceListId}/persistedfaces/{persistedFaceId}': '1.0'
      '/largefacelists/{largeFaceListId}/persistedfaces': '1.0'
      /snapshots: '1.0'
      '/snapshots/{snapshotId}': '1.0'
      '/snapshots/{snapshotId}/apply': '1.0'
      '/operations/{operationId}': '4.0'
      /images/details: '1.0'
      /images/trending: '1.0'
      /localbusinesses/v7.0/search: '1.0'
      '/apps/{appId}/versions/{versionId}/patterns': '2.0'
      '/apps/{appId}/versions/{versionId}/phraselists': '2.0'
      '/apps/{appId}/versions/{versionId}/features': '2.0'
      '/apps/{appId}/versions/{versionId}/patterns/{patternId}': '2.0'
      '/apps/{appId}/versions/{versionId}/phraselists/{phraselistId}': '2.0'
      '/apps/{appId}/versions/{versionId}/example': '2.0'
      '/apps/{appId}/versions/{versionId}/examples': '2.0'
      '/apps/{appId}/versions/{versionId}/examples/{exampleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/intents': '2.0'
      '/apps/{appId}/versions/{versionId}/entities': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists': '2.0'
      '/apps/{appId}/versions/{versionId}/prebuilts': '2.0'
      '/apps/{appId}/versions/{versionId}/listprebuilts': '2.0'
      '/apps/{appId}/versions/{versionId}/models': '2.0'
      '/apps/{appId}/versions/{versionId}/models/{modelId}/examples': '2.0'
      '/apps/{appId}/versions/{versionId}/intents/{intentId}': '2.0'
      '/apps/{appId}/versions/{versionId}/entities/{entityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities/{hEntityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities/{cEntityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists/{clEntityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/prebuilts/{prebuiltId}': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists/{clEntityId}/sublists/{subListId}': '2.0'
      '/apps/{appId}/versions/{versionId}/intents/{intentId}/suggest': '2.0'
      '/apps/{appId}/versions/{versionId}/entities/{entityId}/suggest': '2.0'
      /apps/: '2.0'
      /apps/import: '2.0'
      /apps/assistants: '2.0'
      /apps/domains: '2.0'
      /apps/usagescenarios: '2.0'
      /apps/cultures: '2.0'
      '/apps/{appId}/querylogs': '2.0'
      '/apps/{appId}': '2.0'
      '/apps/{appId}/versions/{versionId}/clone': '2.0'
      '/apps/{appId}/publish': '2.0'
      '/apps/{appId}/versions': '2.0'
      '/apps/{appId}/versions/{versionId}/': '2.0'
      '/apps/{appId}/versions/{versionId}/export': '2.0'
      '/apps/{appId}/versions/{versionId}/train': '2.0'
      '/apps/{appId}/versions/import': '2.0'
      '/apps/{appId}/settings': '2.0'
      '/apps/{appId}/publishsettings': '2.0'
      '/apps/{appId}/versions/{versionId}/suggest': '2.0'
      '/apps/{appId}/permissions': '2.0'
      '/apps/{appId}/endpoints': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists/{clEntityId}/sublists': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltdomains': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltintents': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltentities': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltmodels': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltdomains/{domainName}': '2.0'
      /apps/customprebuiltdomains: '2.0'
      '/apps/customprebuiltdomains/{culture}': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities/{hEntityId}/children/{hChildId}': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities/{hEntityId}/children': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities/{cEntityId}/children': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities/{cEntityId}/children/{cChildId}': '2.0'
      '/apps/{appId}/versions/{versionId}/regexentities': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities': '2.0'
      '/apps/{appId}/versions/{versionId}/entities/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/prebuilts/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/regexentities/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities/{cEntityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities/{hEntityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltentities/{entityId}/roles': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities/{entityId}/explicitlist': '2.0'
      '/apps/{appId}/versions/{versionId}/regexentities/{regexEntityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities/{entityId}': '2.0'
      '/apps/{appId}/versions/{versionId}/entities/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/prebuilts/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/closedlists/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/regexentities/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/compositeentities/{cEntityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/hierarchicalentities/{hEntityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/customprebuiltentities/{entityId}/roles/{roleId}': '2.0'
      '/apps/{appId}/versions/{versionId}/patternanyentities/{entityId}/explicitlist/{itemId}': '2.0'
      '/apps/{appId}/versions/{versionId}/patternrule': '2.0'
      '/apps/{appId}/versions/{versionId}/patternrules': '2.0'
      '/apps/{appId}/versions/{versionId}/patternrules/{patternId}': '2.0'
      '/apps/{appId}/versions/{versionId}/intents/{intentId}/patternrules': '2.0'
      '/apps/{appId}/versions/{versionId}/settings': '2.0'
      '/apps/{appId}/azureaccounts': '2.0'
      /azureaccounts: '2.0'
      '/package/{appId}/slot/{slotName}/gzip': '2.0'
      '/package/{appId}/versions/{versionId}/gzip': '2.0'
      /news/search: '1.0'
      /news: '1.0'
      /news/trendingtopics: '1.0'
      /endpointkeys: '4.0'
      '/endpointkeys/{keyType}': '4.0'
      /alterations: '4.0'
      /knowledgebases: '4.0'
      '/knowledgebases/{kbId}': '4.0'
      /knowledgebases/create: '4.0'
      '/knowledgebases/{kbId}/{environment}/qna': '4.0'
      /spellcheck: '1.0'
      /keyPhrases: v2.1
      /languages: v2.1
      /sentiment: v2.1
      /BreakSentence: '3.0'
      /Detect: '3.0'
      /Dictionary/Lookup: '3.0'
      /Dictionary/Examples: '3.0'
      /Languages: '3.0'
      /translate: '3.0'
      /transliterate: '3.0'
      /videos/search: '1.0'
      /videos/details: '1.0'
      /videos/trending: '1.0'
      /images/visualsearch: '1.0'
      '/providers/Microsoft.Management/managementGroups/{managementGroupId}/providers/Microsoft.Billing/billingPeriods/{billingPeriodName}/Microsoft.Consumption/aggregatedcost': '2019-01-01'
      /v2/: 2018-08-10-preview
      '/v2/{name}/tags/list': 2018-08-10-preview
      '/v2/{name}/manifests/{reference}': 2018-08-10-preview
      /v2/_catalog: 2018-08-10-preview
      /acr/v1/_catalog: 2018-08-10-preview
      '/acr/v1/{name}': 2018-08-10-preview
      '/acr/v1/{name}/_tags': 2018-08-10-preview
      '/acr/v1/{name}/_tags/{reference}': 2018-08-10-preview
      '/acr/v1/{name}/_manifests': 2018-08-10-preview
      '/acr/v1/{name}/_manifests/{reference}': 2018-08-10-preview
      '/catalog/usql/databases/{databaseName}/secrets/{secretName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/secrets': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/credentials/{credentialName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/credentials': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/externaldatasources/{externalDataSourceName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/externaldatasources': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/procedures/{procedureName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/procedures': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/tablefragments': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/statistics': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tabletypes/{tableTypeName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tabletypes': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/packages/{packageName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/packages': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/views/{viewName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/views': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/statistics/{statisticsName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/statistics': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/partitions/{partitionName}/previewrows': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/partitions/{partitionName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/previewrows': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/partitions': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/types': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tablevaluedfunctions/{tableValuedFunctionName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tablevaluedfunctions': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/assemblies/{assemblyName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/assemblies': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas/{schemaName}': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/schemas': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/statistics': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/tables': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/tablevaluedfunctions': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/views': '2016-11-01'
      '/catalog/usql/databases/{databaseName}/acl': '2016-11-01'
      /catalog/usql/acl: '2016-11-01'
      '/catalog/usql/databases/{databaseName}': '2016-11-01'
      /catalog/usql/databases: '2016-11-01'
      '/jobs/{jobIdentity}': 2017-09-01-preview
      '/jobs/{jobIdentity}/GetStatistics': 2017-09-01-preview
      '/jobs/{jobIdentity}/GetDebugDataPath': 2017-09-01-preview
      '/jobs/{jobIdentity}/CancelJob': 2017-09-01-preview
      '/jobs/{jobIdentity}/YieldJob': 2017-09-01-preview
      /buildJob: 2017-09-01-preview
      /pipelines: 2017-09-01-preview
      '/pipelines/{pipelineIdentity}': 2017-09-01-preview
      /recurrences: 2017-09-01-preview
      '/recurrences/{recurrenceIdentity}': 2017-09-01-preview
      '/Jobs/{jobIdentity}/GetStatistics': '2016-11-01'
      '/Jobs/{jobIdentity}/GetDebugDataPath': '2016-11-01'
      /BuildJob: '2016-11-01'
      '/Jobs/{jobIdentity}/CancelJob': '2016-11-01'
      '/Jobs/{jobIdentity}': '2016-11-01'
      /Jobs: '2016-11-01'
      '/WebHdfsExt/{path}': '2016-11-01'
      '/webhdfs/v1/{path}': '2016-11-01'
      '/WebHdfsExt/{filePath}': 2015-10-01-preview
      /api/events: '2018-01-01'
      '/{tenantID}/me': '1.6'
      '/{tenantID}/me/ownedObjects': '1.6'
      '/{tenantID}/applications': '1.6'
      '/{tenantID}/deletedApplications/{objectId}/restore': '1.6'
      '/{tenantID}/deletedApplications': '1.6'
      '/{tenantID}/deletedApplications/{applicationObjectId}': '1.6'
      '/{tenantID}/applications/{applicationObjectId}': '1.6'
      '/{tenantID}/applications/{applicationObjectId}/owners': '1.6'
      '/{tenantID}/applications/{applicationObjectId}/$links/owners': '1.6'
      '/{tenantID}/applications/{applicationObjectId}/$links/owners/{ownerObjectId}': '1.6'
      '/{tenantID}/applications/{applicationObjectId}/keyCredentials': '1.6'
      '/{tenantID}/applications/{applicationObjectId}/passwordCredentials': '1.6'
      '/{tenantID}/isMemberOf': '1.6'
      '/{tenantID}/groups/{groupObjectId}/$links/members/{memberObjectId}': '1.6'
      '/{tenantID}/groups/{groupObjectId}/$links/members': '1.6'
      '/{tenantID}/groups': '1.6'
      '/{tenantID}/groups/{objectId}/members': '1.6'
      '/{tenantID}/groups/{objectId}': '1.6'
      '/{tenantID}/groups/{objectId}/getMemberGroups': '1.6'
      '/{tenantID}/groups/{objectId}/owners': '1.6'
      '/{tenantID}/groups/{objectId}/$links/owners': '1.6'
      '/{tenantID}/groups/{objectId}/$links/owners/{ownerObjectId}': '1.6'
      '/{tenantID}/servicePrincipals': '1.6'
      '/{tenantID}/servicePrincipalsByAppId/{applicationID}/objectId': '1.6'
      '/{tenantID}/servicePrincipals/{objectId}': '1.6'
      '/{tenantID}/servicePrincipals/{objectId}/owners': '1.6'
      '/{tenantID}/servicePrincipals/{objectId}/keyCredentials': '1.6'
      '/{tenantID}/servicePrincipals/{objectId}/passwordCredentials': '1.6'
      '/{tenantID}/users': '1.6'
      '/{tenantID}/users/{upnOrObjectId}': '1.6'
      '/{tenantID}/users/{objectId}/getMemberGroups': '1.6'
      '/{tenantID}/getObjectsByObjectIds': '1.6'
      '/{tenantID}/domains': '1.6'
      '/{tenantID}/domains/{domainName}': '1.6'
      '/{tenantID}/oauth2PermissionGrants': '1.6'
      '/{tenantID}/oauth2PermissionGrants/{objectId}': '1.6'
      '/templeton/v1/jobs/{jobId}': 2018-11-01-preview
      /templeton/v1/jobs: 2018-11-01-preview
      /templeton/v1/jobs?op=LISTAFTERID: 2018-11-01-preview
      /templeton/v1/hive: 2018-11-01-preview
      /templeton/v1/mapreduce/jar: 2018-11-01-preview
      /templeton/v1/mapreduce/streaming: 2018-11-01-preview
      /templeton/v1/pig: 2018-11-01-preview
      /templeton/v1/sqoop: 2018-11-01-preview
      '/ws/v1/cluster/apps/{appId}/state': 2018-11-01-preview
      /instance: '2018-10-01'
      /attested/document: '2018-10-01'
      /identity/oauth2/token: '2018-10-01'
      /identity/info: '2018-10-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/IotHubs/{iotHubName}/routing/routes/$testall': 2018-12-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/IotHubs/{iotHubName}/routing/routes/$testnew': 2018-12-01-preview
      '/keys/{key-name}/create': '2016-10-01'
      '/keys/{key-name}': '2016-10-01'
      '/keys/{key-name}/{key-version}': '2016-10-01'
      '/keys/{key-name}/versions': '2016-10-01'
      /keys: '2016-10-01'
      '/keys/{key-name}/backup': '2016-10-01'
      /keys/restore: '2016-10-01'
      '/keys/{key-name}/{key-version}/encrypt': '2016-10-01'
      '/keys/{key-name}/{key-version}/decrypt': '2016-10-01'
      '/keys/{key-name}/{key-version}/sign': '2016-10-01'
      '/keys/{key-name}/{key-version}/verify': '2016-10-01'
      '/keys/{key-name}/{key-version}/wrapkey': '2016-10-01'
      '/keys/{key-name}/{key-version}/unwrapkey': '2016-10-01'
      /deletedkeys: '2016-10-01'
      '/deletedkeys/{key-name}': '2016-10-01'
      '/deletedkeys/{key-name}/recover': '2016-10-01'
      '/secrets/{secret-name}': '2016-10-01'
      '/secrets/{secret-name}/{secret-version}': '2016-10-01'
      /secrets: '2016-10-01'
      '/secrets/{secret-name}/versions': '2016-10-01'
      /deletedsecrets: '2016-10-01'
      '/deletedsecrets/{secret-name}': '2016-10-01'
      '/deletedsecrets/{secret-name}/recover': '2016-10-01'
      '/secrets/{secret-name}/backup': '2016-10-01'
      /secrets/restore: '2016-10-01'
      '/certificates/{certificate-name}': '2016-10-01'
      /certificates/contacts: '2016-10-01'
      /certificates/issuers: '2016-10-01'
      '/certificates/issuers/{issuer-name}': '2016-10-01'
      '/certificates/{certificate-name}/create': '2016-10-01'
      '/certificates/{certificate-name}/import': '2016-10-01'
      '/certificates/{certificate-name}/versions': '2016-10-01'
      '/certificates/{certificate-name}/policy': '2016-10-01'
      '/certificates/{certificate-name}/{certificate-version}': '2016-10-01'
      '/certificates/{certificate-name}/pending': '2016-10-01'
      '/certificates/{certificate-name}/pending/merge': '2016-10-01'
      '/certificates/{certificate-name}/backup': '7.0'
      /certificates/restore: '7.0'
      /deletedcertificates: '2016-10-01'
      '/deletedcertificates/{certificate-name}': '2016-10-01'
      '/deletedcertificates/{certificate-name}/recover': '2016-10-01'
      /storage: '2016-10-01'
      /deletedstorage: '7.0'
      '/deletedstorage/{storage-account-name}': '7.0'
      '/deletedstorage/{storage-account-name}/recover': '7.0'
      '/storage/{storage-account-name}/backup': '7.0'
      /storage/restore: '7.0'
      '/storage/{storage-account-name}': '2016-10-01'
      '/storage/{storage-account-name}/regeneratekey': '2016-10-01'
      '/storage/{storage-account-name}/sas': '2016-10-01'
      '/deletedstorage/{storage-account-name}/sas': '7.0'
      '/deletedstorage/{storage-account-name}/sas/{sas-definition-name}': '7.0'
      '/deletedstorage/{storage-account-name}/sas/{sas-definition-name}/recover': '7.0'
      '/storage/{storage-account-name}/sas/{sas-definition-name}': '2016-10-01'
      '/subscriptions/{subscriptionId}/resources': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningExperimentation/accounts/{accountName}/workspaces{workspaceName}/projects': 2017-05-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/moveResources': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/{resourceProvider}/{resourceTypeName}/{resourceName}/metrics': 2018-09-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}arpTable': 2015-05-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}routesTable': 2015-05-01-preview
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}stats': 2015-05-01-preview
      '/{operationStatusLink}': '2014-09-01'
      '/workspaces/{workspaceId}/query': v1
      '/{scope}/providers/Microsoft.PolicyInsights/policyEvents/$metadata': '2018-04-04'
      '/{scope}/providers/Microsoft.PolicyInsights/policyStates/$metadata': 2018-07-01-preview
      '/{policyAssignmentId}': '2018-05-01'
      '/subscriptions/{subscriptionId}/providers/{resourceProviderNamespace}/unregister': '2018-05-01'
      '/subscriptions/{subscriptionId}/providers/{resourceProviderNamespace}/register': '2018-05-01'
      '/subscriptions/{subscriptionId}/providers': '2018-05-01'
      '/subscriptions/{subscriptionId}/providers/{resourceProviderNamespace}': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/resources': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/exportTemplate': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{sourceResourceGroupName}/moveResources': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourceGroups/{sourceResourceGroupName}/validateMoveResources': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{parentResourcePath}/{resourceType}/{resourceName}': '2018-05-01'
      '/{resourceId}': '2018-05-01'
      '/subscriptions/{subscriptionId}/tagNames/{tagName}/tagValues/{tagValue}': '2018-05-01'
      '/subscriptions/{subscriptionId}/tagNames/{tagName}': '2018-05-01'
      '/subscriptions/{subscriptionId}/tagNames': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/deployments/{deploymentName}/operations/{operationId}': '2018-05-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/deployments/{deploymentName}/operations': '2018-05-01'
      '/providers/{resourceProviderNamespace}/operations': '2015-11-01'
      '/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{parentResourcePath}/{resourceType}/{resourceName}providers/Microsoft.Authorization/policyAssignments': '2015-11-01'
      '/subscriptions/{subscriptionId}/locations': '2016-06-01'
      /tenants: '2016-06-01'
      '/{linkId}': '2016-09-01'
      '/{applicationId}': '2018-06-01'
      '/{applicationDefinitionId}': '2017-09-01'
      '/{applianceId}': 2016-09-01-preview
      '/{applianceDefinitionId}': 2016-09-01-preview
      /docs/$count: 2017-11-11-Preview
      /docs: 2017-11-11-Preview
      /docs/search.post.search: 2017-11-11-Preview
      '/docs(''{key}'')': 2017-11-11-Preview
      /docs/search.suggest: 2017-11-11-Preview
      /docs/search.post.suggest: 2017-11-11-Preview
      /docs/search.index: 2017-11-11-Preview
      /docs/search.autocomplete: 2017-11-11-Preview
      /docs/search.post.autocomplete: 2017-11-11-Preview
      '/datasources(''{dataSourceName}'')': 2017-11-11-Preview
      /datasources: 2017-11-11-Preview
      '/indexers(''{indexerName}'')/search.reset': 2017-11-11-Preview
      '/indexers(''{indexerName}'')/search.run': 2017-11-11-Preview
      '/indexers(''{indexerName}'')': 2017-11-11-Preview
      /indexers: 2017-11-11-Preview
      '/indexers(''{indexerName}'')/search.status': 2017-11-11-Preview
      '/skillsets(''{skillsetName}'')': 2017-11-11-Preview
      /skillsets: 2017-11-11-Preview
      '/synonymmaps(''{synonymMapName}'')': 2017-11-11-Preview
      /synonymmaps: 2017-11-11-Preview
      /indexes: 2017-11-11-Preview
      '/indexes(''{indexName}'')': 2017-11-11-Preview
      '/indexes(''{indexName}'')/search.stats': 2017-11-11-Preview
      '/indexes(''{indexName}'')/search.analyze': 2017-11-11-Preview
      /servicestats: 2017-11-11-Preview
      /$/GetClusterManifest: 6.4.0.36
      /$/GetClusterHealth: 6.4.0.36
      /$/GetClusterHealthChunk: 6.4.0.36
      /$/ReportClusterHealth: 6.4.0.36
      /$/GetProvisionedCodeVersions: 6.4.0.36
      /$/GetProvisionedConfigVersions: 6.4.0.36
      /$/GetUpgradeProgress: 6.4.0.36
      /$/GetClusterConfiguration: 6.4.0.36
      /$/GetClusterConfigurationUpgradeStatus: 6.4.0.36
      /$/GetUpgradeOrchestrationServiceState: 6.4.0.36
      /$/SetUpgradeOrchestrationServiceState: 6.4.0.36
      /$/Provision: 6.4.0.36
      /$/Unprovision: 6.4.0.36
      /$/RollbackUpgrade: 6.4.0.36
      /$/MoveToNextUpgradeDomain: 6.4.0.36
      /$/Upgrade: 6.4.0.36
      /$/StartClusterConfigurationUpgrade: 6.4.0.36
      /$/UpdateUpgrade: 6.4.0.36
      /$/GetAadMetadata: 6.4.0.36
      /Nodes: 6.4.0.36
      '/Nodes/{nodeName}': 6.4.0.36
      '/Nodes/{nodeName}/$/GetHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/ReportHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/GetLoadInformation': 6.4.0.36
      '/Nodes/{nodeName}/$/Deactivate': 6.4.0.36
      '/Nodes/{nodeName}/$/Activate': 6.4.0.36
      '/Nodes/{nodeName}/$/RemoveNodeState': 6.4.0.36
      '/Nodes/{nodeName}/$/Restart': 6.4.0.36
      /ApplicationTypes: 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}': 6.4.0.36
      /ApplicationTypes/$/Provision: 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}/$/Unprovision': 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}/$/GetServiceTypes': 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}/$/GetServiceTypes/{serviceTypeName}': 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}/$/GetServiceManifest': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServiceTypes': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServiceTypes/{serviceTypeName}': 6.4.0.36
      /Applications/$/Create: 6.4.0.36
      '/Applications/{applicationId}/$/Delete': 6.4.0.36
      '/Applications/{applicationId}/$/GetLoadInformation': 6.4.0.36
      /Applications: 6.4.0.36
      '/Applications/{applicationId}': 6.4.0.36
      '/Applications/{applicationId}/$/GetHealth': 6.4.0.36
      '/Applications/{applicationId}/$/ReportHealth': 6.4.0.36
      '/Applications/{applicationId}/$/Upgrade': 6.4.0.36
      '/Applications/{applicationId}/$/GetUpgradeProgress': 6.4.0.36
      '/Applications/{applicationId}/$/UpdateUpgrade': 6.4.0.36
      '/Applications/{applicationId}/$/MoveToNextUpgradeDomain': 6.4.0.36
      '/Applications/{applicationId}/$/RollbackUpgrade': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/ReportHealth': 6.4.0.36
      '/ApplicationTypes/{applicationTypeName}/$/GetApplicationManifest': 6.4.0.36
      '/Applications/{applicationId}/$/GetServices': 6.4.0.36
      '/Applications/{applicationId}/$/GetServices/{serviceId}': 6.4.0.36
      '/Services/{serviceId}/$/GetApplicationName': 6.4.0.36
      '/Applications/{applicationId}/$/GetServices/$/Create': 6.4.0.36
      '/Applications/{applicationId}/$/GetServices/$/CreateFromTemplate': 6.4.0.36
      '/Services/{serviceId}/$/Delete': 6.4.0.36
      '/Services/{serviceId}/$/Update': 6.4.0.36
      '/Services/{serviceId}/$/GetDescription': 6.4.0.36
      '/Services/{serviceId}/$/GetHealth': 6.4.0.36
      '/Services/{serviceId}/$/ReportHealth': 6.4.0.36
      '/Services/{serviceId}/$/ResolvePartition': 6.4.0.36
      '/Services/{serviceId}/$/GetPartitions': 6.4.0.36
      '/Partitions/{partitionId}': 6.4.0.36
      '/Partitions/{partitionId}/$/GetServiceName': 6.4.0.36
      '/Partitions/{partitionId}/$/GetHealth': 6.4.0.36
      '/Partitions/{partitionId}/$/ReportHealth': 6.4.0.36
      '/Partitions/{partitionId}/$/GetLoadInformation': 6.4.0.36
      '/Partitions/{partitionId}/$/ResetLoad': 6.4.0.36
      '/Partitions/{partitionId}/$/Recover': 6.4.0.36
      '/Services/$/{serviceId}/$/GetPartitions/$/Recover': 6.4.0.36
      /$/RecoverSystemPartitions: 6.4.0.36
      /$/RecoverAllPartitions: 6.4.0.36
      /$/CreateRepairTask: 6.4.0.36
      /$/CancelRepairTask: 6.4.0.36
      /$/DeleteRepairTask: 6.4.0.36
      /$/GetRepairTaskList: 6.4.0.36
      /$/ForceApproveRepairTask: 6.4.0.36
      /$/UpdateRepairTaskHealthPolicy: 6.4.0.36
      /$/UpdateRepairExecutionState: 6.4.0.36
      '/Partitions/{partitionId}/$/GetReplicas': 6.4.0.36
      '/Partitions/{partitionId}/$/GetReplicas/{replicaId}': 6.4.0.36
      '/Partitions/{partitionId}/$/GetReplicas/{replicaId}/$/GetHealth': 6.4.0.36
      '/Partitions/{partitionId}/$/GetReplicas/{replicaId}/$/ReportHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetReplicas': 6.4.0.36
      '/Nodes/{nodeName}/$/GetPartitions/{partitionId}/$/GetReplicas/{replicaId}/$/GetDetail': 6.4.0.36
      '/Nodes/{nodeName}/$/GetPartitions/{partitionId}/$/GetReplicas': 6.4.0.36
      '/Nodes/{nodeName}/$/GetPartitions/{partitionId}/$/GetReplicas/{replicaId}/$/Restart': 6.4.0.36
      '/Nodes/{nodeName}/$/GetPartitions/{partitionId}/$/GetReplicas/{replicaId}/$/Delete': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServicePackages': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServicePackages/{servicePackageName}': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServicePackages/{servicePackageName}/$/GetHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetServicePackages/{servicePackageName}/$/ReportHealth': 6.4.0.36
      '/Nodes/{nodeName}/$/DeployServicePackage': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetCodePackages': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetCodePackages/$/Restart': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetCodePackages/$/ContainerLogs': 6.4.0.36
      '/Nodes/{nodeName}/$/GetApplications/{applicationId}/$/GetCodePackages/$/ContainerApi': 6.4.0.36
      /ComposeDeployments/$/Create: 6.4.0.36
      '/ComposeDeployments/{deploymentName}': 6.4.0.36
      /ComposeDeployments: 6.4.0.36
      '/ComposeDeployments/{deploymentName}/$/GetUpgradeProgress': 6.4.0.36
      '/ComposeDeployments/{deploymentName}/$/Delete': 6.4.0.36
      '/ComposeDeployments/{deploymentName}/$/Upgrade': 6.4.0.36
      /Tools/Chaos: 6.4.0.36
      /Tools/Chaos/$/Start: 6.4.0.36
      /Tools/Chaos/$/Stop: 6.4.0.36
      /Tools/Chaos/Events: 6.4.0.36
      /Tools/Chaos/Schedule: 6.4.0.36
      '/ImageStore/{contentPath}': 6.4.0.36
      /ImageStore: 6.4.0.36
      /ImageStore/$/Copy: 6.4.0.36
      /ImageStore/$/DeleteUploadSession: 6.4.0.36
      /ImageStore/$/CommitUploadSession: 6.4.0.36
      /ImageStore/$/GetUploadSession: 6.4.0.36
      '/ImageStore/{contentPath}/$/GetUploadSession': 6.4.0.36
      '/ImageStore/{contentPath}/$/UploadChunk': 6.4.0.36
      /$/InvokeInfrastructureCommand: 6.4.0.36
      /$/InvokeInfrastructureQuery: 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/StartDataLoss': 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/GetDataLossProgress': 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/StartQuorumLoss': 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/GetQuorumLossProgress': 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/StartRestart': 6.4.0.36
      '/Faults/Services/{serviceId}/$/GetPartitions/{partitionId}/$/GetRestartProgress': 6.4.0.36
      '/Faults/Nodes/{nodeName}/$/StartTransition/': 6.4.0.36
      '/Faults/Nodes/{nodeName}/$/GetTransitionProgress': 6.4.0.36
      /Faults/: 6.4.0.36
      /Faults/$/Cancel: 6.4.0.36
      /BackupRestore/BackupPolicies/$/Create: 6.4.0.36
      '/BackupRestore/BackupPolicies/{backupPolicyName}/$/Delete': 6.4.0.36
      /BackupRestore/BackupPolicies: 6.4.0.36
      '/BackupRestore/BackupPolicies/{backupPolicyName}': 6.4.0.36
      '/BackupRestore/BackupPolicies/{backupPolicyName}/$/GetBackupEnabledEntities': 6.4.0.36
      '/BackupRestore/BackupPolicies/{backupPolicyName}/$/Update': 6.4.0.36
      '/Applications/{applicationId}/$/EnableBackup': 6.4.0.36
      '/Applications/{applicationId}/$/DisableBackup': 6.4.0.36
      '/Applications/{applicationId}/$/GetBackupConfigurationInfo': 6.4.0.36
      '/Applications/{applicationId}/$/GetBackups': 6.4.0.36
      '/Applications/{applicationId}/$/SuspendBackup': 6.4.0.36
      '/Applications/{applicationId}/$/ResumeBackup': 6.4.0.36
      '/Services/{serviceId}/$/EnableBackup': 6.4.0.36
      '/Services/{serviceId}/$/DisableBackup': 6.4.0.36
      '/Services/{serviceId}/$/GetBackupConfigurationInfo': 6.4.0.36
      '/Services/{serviceId}/$/GetBackups': 6.4.0.36
      '/Services/{serviceId}/$/SuspendBackup': 6.4.0.36
      '/Services/{serviceId}/$/ResumeBackup': 6.4.0.36
      '/Partitions/{partitionId}/$/EnableBackup': 6.4.0.36
      '/Partitions/{partitionId}/$/DisableBackup': 6.4.0.36
      '/Partitions/{partitionId}/$/GetBackupConfigurationInfo': 6.4.0.36
      '/Partitions/{partitionId}/$/GetBackups': 6.4.0.36
      '/Partitions/{partitionId}/$/SuspendBackup': 6.4.0.36
      '/Partitions/{partitionId}/$/ResumeBackup': 6.4.0.36
      '/Partitions/{partitionId}/$/Backup': 6.4.0.36
      '/Partitions/{partitionId}/$/GetBackupProgress': 6.4.0.36
      '/Partitions/{partitionId}/$/Restore': 6.4.0.36
      '/Partitions/{partitionId}/$/GetRestoreProgress': 6.4.0.36
      /BackupRestore/$/GetBackups: 6.4.0.36
      /Names/$/Create: 6.4.0.36
      '/Names/{nameId}': 6.4.0.36
      '/Names/{nameId}/$/GetSubNames': 6.4.0.36
      '/Names/{nameId}/$/GetProperties': 6.4.0.36
      '/Names/{nameId}/$/GetProperty': 6.4.0.36
      '/Names/{nameId}/$/GetProperties/$/SubmitBatch': 6.4.0.36
      /EventsStore/Cluster/Events: 6.4.0.36
      /EventsStore/Containers/Events: 6.4.0.36
      '/EventsStore/Nodes/{nodeName}/$/Events': 6.4.0.36
      /EventsStore/Nodes/Events: 6.4.0.36
      '/EventsStore/Applications/{applicationId}/$/Events': 6.4.0.36
      /EventsStore/Applications/Events: 6.4.0.36
      '/EventsStore/Services/{serviceId}/$/Events': 6.4.0.36
      /EventsStore/Services/Events: 6.4.0.36
      '/EventsStore/Partitions/{partitionId}/$/Events': 6.4.0.36
      /EventsStore/Partitions/Events: 6.4.0.36
      '/EventsStore/Partitions/{partitionId}/$/Replicas/{replicaId}/$/Events': 6.4.0.36
      '/EventsStore/Partitions/{partitionId}/$/Replicas/Events': 6.4.0.36
      '/EventsStore/CorrelatedEvents/{eventInstanceId}/$/Events': 6.4.0.36
      '/Resources/Applications/{applicationResourceName}': 6.4.0.36
      '/Resources/Applications/{applicationResourceName}/Services': 6.4.0.36
      '/Resources/Applications/{applicationResourceName}/Services/{serviceResourceName}': 6.4.0.36
      '/Resources/Applications/{applicationResourceName}/Services/{serviceResourceName}/replicas': 6.3.0.9
      '/Resources/Applications/{applicationResourceName}/Services/{serviceResourceName}/Replicas/{replicaName}': 6.4.0.36
      '/Resources/Volumes/{volumeResourceName}': 6.4.0.36
      /$/GetClusterVersion: 6.4.0.36
      '/ComposeDeployments/{deploymentName}/$/RollbackUpgrade': 6.4.0.36
      '/Resources/Secrets/{secretResourceName}': 6.4.0.36
      /Resources/Secrets: 6.4.0.36
      '/Resources/Secrets/{secretResourceName}/values/{secretValueResourceName}': 6.4.0.36
      '/Resources/Secrets/{secretResourceName}/values': 6.4.0.36
      '/Resources/Secrets/{secretResourceName}/values/{secretValueResourceName}/list_value': 6.4.0.36
      /Resources/Volumes: 6.4.0.36
      '/Resources/Networks/{networkResourceName}': 6.4.0.36
      /Resources/Networks: 6.4.0.36
      /Resources/Applications: 6.4.0.36
      '/Resources/Applications/{applicationResourceName}/Services/{serviceResourceName}/Replicas/{replicaName}/CodePackages/{codePackageName}/Logs': 6.4.0.36
      '/Resources/Applications/{applicationResourceName}/Services/{serviceResourceName}/Replicas': 6.4.0.36
      '/Resources/Gateways/{gatewayResourceName}': 6.4.0.36
      /Resources/Gateways: 6.4.0.36
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceFabricMesh/secrets/{secretResourceName}/values/{secretValueResourceName}/list_value': 2018-09-01-preview
      /: '2018-11-09'
      '/{filesystem}': '2018-11-09'
      '/{filesystem}/{path}': '2018-11-09'
      '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/validateMoveResources': '2018-02-01'
```
