# Hybrid Profile Definition - Azure Stack General Availability and Azure Cloud

> see https://aka.ms/autorest

Profile definition targeted for hybrid applications that could run on azure stack general availability version and azure cloud.

``` yaml
profiles:
  profile-2017-03-09:
    resources:
      microsoft.authorization:
        '2015-01-01':
          - locks
        '2015-07-01':
          - operations
          - permissions
          - roleAssignments
          - roleDefinitions
        2015-10-01-preview:
          - policyAssignments
          - policyDefinitions
        2015-07-01-preview:
          - providerOperations
      microsoft.compute:
        '2016-03-30':
          - availabilitySets
          - locations
          - locations/publishers
          - locations/operations
          - locations/usages
          - locations/vmSizes
          - operations
          - virtualMachines
          - virtualMachines/extensions
          - virtualMachineScaleSets
          - virtualMachineScaleSets/extensions
          - virtualMachineScaleSets/networkInterfaces
          - virtualMachineScaleSets/virtualMachines
          - virtualMachineScaleSets/virtualMachines/networkInterfaces
      microsoft.keyvault:
        '2016-10-01':
          - operations
          - vaults
          - vaults/accessPolicies
          - vaults/secrets
      microsoft.network:
        '2015-06-15':
          - connections
          - loadBalancers
          - localNetworkGateways
          - locations
          - locations/operationResults
          - locations/operations
          - locations/usages
          - networkInterfaces
          - networkSecurityGroups
          - operations
          - publicIpAddresses
          - routeTables
          - virtualNetworkGateways
          - virtualNetworks
        '2016-04-01':
          - dnsZones
      microsoft.resources:
        '2016-02-01':
          - deployments
          - deployments/operations
          - locations
          - operations
          - providers
          - resourceGroups
          - resources
          - tenants
        '2016-09-01':
          - links
        '2016-06-01':
          - subscriptions
          - subscriptions/locations
          - subscriptions/operationresults
          - subscriptions/providers
          - subscriptions/resourceGroups
          - subscriptions/resourceGroups/resources
          - subscriptions/resources
          - subscriptions/tagNames
          - subscriptions/tagNames/tagValues
      microsoft.storage:
        '2016-01-01':
          - checkNameAvailability
          - locations
          - locations/quotas
          - operations
          - storageAccounts
          - usages
    operations: {}
```