# Attestation
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for Attestation.



---
## Getting Started 
To build the SDK for Attestation, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information 
These are the global settings for the Attestation API.

``` yaml
openapi-type: arm
tag: package-2020-10-01
```

### Tag: package-2018-09-01

These settings apply only when `--tag=package-2018-09-01` is specified on the command line.

``` yaml $(tag) == 'package-2018-09-01'
input-file:
- Microsoft.Attestation/stable/2018-09-01-preview/attestation.json
```

### Tag: package-2020-10-01

These settings apply only when `--tag=package-2020-10-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-01'
input-file:
- Microsoft.Attestation/stable/2020-10-01/attestation.json
```


### Tag: package-2021-06-01

These settings apply only when `--tag=package-2021-06-01` is specified on the command line.

``` yaml $(tag) == 'package-2021-06-01'
input-file:
- Microsoft.Attestation/preview/2021-06-01-preview/attestation.json
```

---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-java
  - repo: azure-resource-manager-schemas
```

## Python

See configuration in [readme.python.md](./readme.python.md)

---
## C# 

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.Attestation
  output-folder: $(csharp-sdks-folder)/attestation/Microsoft.Azure.Management.Attestation/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Terraform

See configuration in [readme.terraform.md](./readme.terraform.md)



