# DelegatedNetwork

> see https://aka.ms/autorest

This is the AutoRest configuration file for DelegatedNetwork.



---
## Getting Started
To build the SDK for DelegatedNetwork, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the DelegatedNetwork API.

``` yaml
openapi-type: arm
tag: package-2021-03-15
```


### Tag: package-2021-03-15

These settings apply only when `--tag=package-2021-03-15` is specified on the command line.

``` yaml $(tag) == 'package-2021-03-15'
input-file:
- Microsoft.DelegatedNetwork/stable/2021-03-15/controller.json
- Microsoft.DelegatedNetwork/stable/2021-03-15/orchestrators.json
- Microsoft.DelegatedNetwork/stable/2021-03-15/delegatedSubnets.json
- Microsoft.DelegatedNetwork/stable/2021-03-15/operations.json
- Microsoft.DelegatedNetwork/stable/2021-03-15/common-types.json
```

### Tag: package-2020-08-08-preview

These settings apply only when `--tag=package-2020-08-08-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-08-08-preview'
input-file:
  - Microsoft.DelegatedNetwork/preview/2020-08-08-preview/controller.json
  - Microsoft.DelegatedNetwork/preview/2020-08-08-preview/orchestrators.json
  - Microsoft.DelegatedNetwork/preview/2020-08-08-preview/delegatedSubnets.json
  - Microsoft.DelegatedNetwork/preview/2020-08-08-preview/operations.json
  - Microsoft.DelegatedNetwork/preview/2020-08-08-preview/common-types.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.DelegatedNetwork
  output-folder: $(csharp-sdks-folder)/DelegatedNetwork/Microsoft.Azure.Management.DelegatedNetwork/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
service-name: DelegatedNetwork

azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.DelegatedNetwork
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-DelegatedNetwork
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2021-03-15
  - tag: package-2020-08-08-preview
```

### Tag: package-2021-03-15 and java

These settings apply only when `--tag=package-2021-03-15 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-03-15' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.DelegatedNetwork.2021-03-15
  output-folder: $(azure-libraries-for-java-folder)/sdk/DelegatedNetwork/stable/mgmt-2021-03-15
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-08-08-preview and java

These settings apply only when `--tag=package-2020-08-08-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

```yaml $(tag) == 'package-2020-08-08-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.DelegatedNetwork.v2020_08_08_preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/DelegatedNetwork/preview/mgmt-v2020_08_08_preview
  regenerate-manager: true
  generate-interface: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)


