# CustomLocation

> see https://aka.ms/autorest

This is the AutoRest configuration file for extendedLocation.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the extendedLocation.

```yaml
openapi-type: arm
tag: package-2021-03-15-preview
```

### Tag: package-2021-03-15-preview

These settings apply only when `--tag=package-2021-03-15-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-03-15-preview'
input-file:
  - Microsoft.ExtendedLocation/preview/2021-03-15-preview/customlocations.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_customLocation']
```

## Go

See configuration in [readme.go.md](specification/extendedlocation/resource-manager/readme.go.md)

## Python

See configuration in [readme.python.md](specification/extendedlocation/resource-manager/readme.python.md)

## Ruby

See configuration in [readme.ruby.md](specification/extendedlocation/resource-manager/readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](specification/extendedlocation/resource-manager/readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](specification/extendedlocation/resource-manager/readme.csharp.md)
