# HealthcareApis

> see https://aka.ms/autorest

This is the AutoRest configuration file for HealthcareApis.

---

## Getting Started

To build the SDK for HealthcareApis, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for HealthcareApis service.

``` yaml
title: HealthcareApisManagementClient
description: Azure Healthcare APIs Client
openapi-type: arm
tag: package-2021-01
azure-arm: true
```


### Tag: package-2021-01

These settings apply only when `--tag=package-2021-01` is specified on the command line.

```yaml $(tag) == 'package-2021-01'
input-file:
  - Microsoft.HealthcareApis/stable/2021-01-11/healthcare-apis.json
```
### Tag: package-2020-03-30

These settings apply only when `--tag=package-2020-03-30` is specified on the command line.

``` yaml $(tag) == 'package-2020-03-30'
input-file:
  - Microsoft.HealthcareApis/stable/2020-03-30/healthcare-apis.json
```

### Tag: package-2020-03

These settings apply only when `--tag=package-2020-03` is specified on the command line.

``` yaml $(tag) == 'package-2020-03'
input-file:
  - Microsoft.HealthcareApis/stable/2020-03-15/healthcare-apis.json
```

### Tag: package-2019-09

These settings apply only when `--tag=package-2019-09` is specified on the command line.

``` yaml $(tag) == 'package-2019-09'
input-file:
- Microsoft.HealthcareApis/stable/2019-09-16/healthcare-apis.json
```

### Tag: package-2018-08-preview

These settings apply only when `--tag=package-2018-08-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-08-preview'
input-file:
- Microsoft.HealthcareApis/preview/2018-08-20-preview/healthcare-apis.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-resource-manager-schemas
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  # last generated with AutoRest.2.0.4144
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.HealthcareApis
  output-folder: $(csharp-sdks-folder)/healthcareapis/Microsoft.Azure.Management.HealthcareApis/src/Generated
  clear-output-folder: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## CLI

See configuration in [readme.cli.md](./readme.cli.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)


