# IoTSpaces Service

> see https://aka.ms/autorest

This is the AutoRest configuration file for IoTSpaces Service.

---

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-10-preview
```

### Tag: package-2017-10-preview and java

These settings apply only when `--tag=package-2017-10-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-10-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.iotspacesservice.v2017_10_01_preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/iotspacesservice/mgmt-v2017_10_01_preview
regenerate-manager: true
generate-interface: true
```


## Getting Started
To build the SDK for IoTSpaces Service, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the IoTSpaces Service.

``` yaml
openapi-type: arm
tag: package-2017-10-preview
```


### Tag: package-2017-10-preview

These settings apply only when `--tag=package-2017-10-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-10-preview'
input-file:
- Microsoft.IoTSpaces/preview/2017-10-01-preview/iotspaces.json
```

---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-resource-manager-schemas
```

## CSharp Settings

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.IoTSpaces
  payload-flattening-threshold: 1
  output-folder: $(csharp-sdks-folder)/iotspaces/Microsoft.Azure.Management.IoTSpaces/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)



