# StorageImportExport

> see https://aka.ms/autorest

This is the AutoRest configuration file for StorageImportExport.

---

## Getting Started

To build the SDK for StorageImportExport, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the StorageImportExport API.

``` yaml
openapi-type: arm
tag: package-2016-11
```

or

``` yaml
openapi-type: arm
tag: package-preview-2021-01
```


### Tag: package-preview-2021-01

These settings apply only when `--tag=package-preview-2021-01` is specified on the command line.

```yaml $(tag) == 'package-preview-2021-01'
input-file:
  - Microsoft.ImportExport/preview/2021-01-01/storageimportexport.json
```
### Tag: package-2016-11

These settings apply only when `--tag=package-2016-11` is specified on the command line.

``` yaml $(tag) == 'package-2016-11'
input-file:
- Microsoft.ImportExport/stable/2016-11-01/storageimportexport.json
```

### Tag: package-2020-08

These settings apply only when `--tag=package-2020-08` is specified on the command line.

``` yaml $(tag) == 'package-2020-08'
input-file:
- Microsoft.ImportExport/stable/2020-08-01/storageimportexport.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-powershell
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-js
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.storageimportexport
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-storageimportexport
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2016-11
```

or

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2020-08
```

### Tag: package-2016-11 and java

These settings apply only when `--tag=package-2016-11 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2016-11' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.storageimportexport.v2016_11_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/storageimportexport/mgmt-v2016_11_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-08 and java

These settings apply only when `--tag=package-2020-08 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2020-08' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.storageimportexport.v2020_08_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/storageimportexport/mgmt-v2020_08_01
regenerate-manager: true
generate-interface: true
```


